<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE xsl:stylesheet [
<!ENTITY nbsp "&#160;">
<!ENTITY egrave "&#232;">
<!ENTITY euro "&#8364;">
<!ENTITY agrave "&#224;">
<!ENTITY eacute "&#233;">
]>
<xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.xemelios.org/namespaces#cg-1.0" xmlns:n="http://www.xemelios.org/namespaces#cg-1.0" version="2.0">
    <xsl:character-map name="accents">
        <xsl:output-character character="" string="&amp;#224;"/>
        <xsl:output-character character="" string="&amp;#233;"/>
        <xsl:output-character character="" string="&amp;#232;"/>
        <xsl:output-character character="" string="&amp;#234;"/>
        <xsl:output-character character="" string="&amp;#235;"/>
        <xsl:output-character character="" string="&amp;#238;"/>
        <xsl:output-character character="" string="&amp;#239;"/>
        <xsl:output-character character="" string="&amp;#244;"/>
        <xsl:output-character character="" string="&amp;#249;"/>
    </xsl:character-map>

    <xsl:decimal-format name="decformat" decimal-separator="," grouping-separator=" " digit="#" pattern-separator=";" NaN="NaN" minus-sign="-"/>
    
    <!-- Inclusion des XSL externes -->
    <xsl:include href="./common-xsl/Style.xsl"/>
    <xsl:include href="./common-xsl/Error.xsl"/>
    <xsl:include href="./common-xsl/Navigate.xsl"/>
    <xsl:include href="./common-xsl/Header.xsl"/>
    <xsl:include href="./common-xsl/Number.xsl"/>
    
    <!-- Paramtres d'entre -->
    <xsl:param name="show.formulaire"/>
    <xsl:param name="browser-destination"/>
    
    <!-- Paramtres d'entre de la liste de rsultat -->
    <xsl:param name="libPoste">0</xsl:param>
    
    <!-- Paramtres d'erreur -->
    <xsl:param name="error.message">nomessage</xsl:param>

    <xsl:output method="xhtml" indent="yes" use-character-maps="accents" encoding="ISO-8859-1"/>

    <!-- pour eviter les sorties parasites de tags non matches -->
    <xsl:template match="*"/>
  <!-- Variables -->
    <xsl:variable name="page-format" select="paysage"/>
    <xsl:variable name="NumPage" select="/n:CompteGestion/n:CompteResultat/n:PageCompteResultat/n:Pied/@NumPage"/>
    <xsl:variable name="Entete">
        <xsl:copy-of  select="/n:CompteGestion/n:Entete"/>
    </xsl:variable>

    <xsl:template match="/n:CompteGestion">
        <html>
            <head>
                <title>Compte de R&#233;sultat</title>                
                <xsl:call-template name="style"/>                
            </head>
            <body>
                <xsl:if test="$error.message!='nomessage'">
                    <xsl:attribute name="onload">javascript:showDialog('<xsl:value-of select="$error.message"/>');</xsl:attribute>
                </xsl:if>
                <xsl:call-template name="Error"><!--xsl:with-param name="error.message" select="$error.message"/--></xsl:call-template>
                <xsl:call-template name="navigate">
                    <xsl:with-param name="docId">compteGestion</xsl:with-param>
                    <xsl:with-param name="etatId">CompteResultat</xsl:with-param>
                    <xsl:with-param name="elementId">PageCompteResultat</xsl:with-param>
                    <xsl:with-param name="sous.elementId">LigneCompteResultat</xsl:with-param>
                    <xsl:with-param name="NumPage" select="$NumPage"/>
                    <xsl:with-param name="Entete" select="$Entete"/>
                    <xsl:with-param name="show.formulaire" select="$show.formulaire"/>
                    <xsl:with-param name="show.formulaire.compte" select="0"/>
                    <xsl:with-param name="show.depense.recette" select="0"/>
                </xsl:call-template>
                <xsl:call-template name="header" >
                    <xsl:with-param name="Entete" select="$Entete"/>
                    <xsl:with-param name="Titre.Plus">
                        <xsl:if test="$Entete//n:CompteGestion/@V = 'CG14'"><h1>Compte de r&#233;sultat <xsl:value-of select="//n:EnteteCompteResultat/@Date3"/></h1></xsl:if>
                        <xsl:if test="$Entete//n:CompteGestion/@V = 'CG22'"><h1>Compte de r&#233;sultat <xsl:value-of select="//n:EnteteCompteResultat/@Date3"/></h1><br/>
                            <h2><xsl:value-of select="/n:CompteGestion/n:CompteResultat/n:PageCompteResultat/n:EnteteCompteResultat/@SousTitre"></xsl:value-of></h2></xsl:if>
                    </xsl:with-param>
                </xsl:call-template>
                <br/>
                <br/>
                <br/>
                <br/>
                <xsl:call-template name="mainTable">
                    <xsl:with-param name="el" select="/n:CompteGestion/n:CompteResultat/n:PageCompteResultat"/>
                </xsl:call-template>
                <br/>
                <br/>
                <br/>
                <br/>
                <p>
                    <center>Page - <xsl:value-of select="/max(n:CompteGestion/n:CompteResultat/n:PageCompteResultat/n:Pied/@NumPage)"/></center>
                </p>
            </body>
        </html>
    </xsl:template>

    <xsl:template name="mainTable">
        <xsl:param name="el"/>
        <table width="100%" class="bordered" id="main">
            <colgroup>
                <col width="40%"/>
                <col width="30%"/>
                <col width="30%"/>
            </colgroup>
            <thead>
                <tr  class="titre">
                    <td class="titre2 center bold bordered">POSTES</td>
                 
                    <td class="titre2 center bold bordered">Exercice <xsl:value-of select="max($el/n:EnteteCompteResultat/@Date3)"/></td> 
                    <td class="titre2 center bold bordered">Exercice <xsl:value-of select="max($el/n:EnteteCompteResultat/@Date3) - 1"/></td>
                </tr>
            </thead>
            <tbody>
                <xsl:for-each select="$el/n:LigneCompteResultat">
                    <tr>
                        <xsl:choose>
                            <xsl:when test="$libPoste != '0' and @LibPosteRubriqueTotal=$libPoste">
                                <xsl:attribute name="id">highlighted</xsl:attribute>
                            </xsl:when>
                            <xsl:otherwise>
                                <xsl:choose>
                                    <xsl:when test="(position() mod 2) = 0">
                                        <xsl:attribute name="id">colorised1</xsl:attribute>
                                    </xsl:when>
                                    <xsl:otherwise>
                                        <xsl:attribute name="id">colorised2</xsl:attribute>
                                    </xsl:otherwise>
                                </xsl:choose>
                            </xsl:otherwise>
                        </xsl:choose>
                        <xsl:choose>
                            <xsl:when test="contains(lower-case(@LibPosteRubriqueTotal),'total')">
                                <td class="libelleLigne bold bordered">
                                    <xsl:value-of select="@LibPosteRubriqueTotal"/>
                                </td>
                                <td class="montant bold bordered">
                                    <xsl:call-template name="number">
                                        <xsl:with-param name="num">
                                            <xsl:value-of select="@MontantN"/>
                                        </xsl:with-param>
                                    </xsl:call-template>
                                </td>
                                <td class="montant bold bordered">
                                    <xsl:call-template name="number">
                                        <xsl:with-param name="num">
                                            <xsl:value-of select="@MontantN_1"/>
                                        </xsl:with-param>
                                    </xsl:call-template>
                                </td>
                            </xsl:when>
                            <xsl:when test="contains(@LibPosteRubriqueTotal,'(') and contains(@LibPosteRubriqueTotal,')') and (contains(@LibPosteRubriqueTotal,'-') or contains(@LibPosteRubriqueTotal,'+'))">
                                <td class="libelleLigne bold bordered">
                                    <xsl:value-of select="@LibPosteRubriqueTotal"/>
                                </td>
                                <td class="montant bold bordered">
                                    <xsl:call-template name="number">
                                        <xsl:with-param name="num">
                                            <xsl:value-of select="@MontantN"/>
                                        </xsl:with-param>
                                    </xsl:call-template>
                                </td>
                                <td class="montant bold bordered">
                                    <xsl:call-template name="number">
                                        <xsl:with-param name="num">
                                            <xsl:value-of select="@MontantN_1"/>
                                        </xsl:with-param>
                                    </xsl:call-template>
                                </td>
                            </xsl:when>
                            <xsl:when test="matches(@LibPosteRubriqueTotal, '[A-Z]{4}')">
                                <td class="bold center bordureRight">
                                    <xsl:value-of select="@LibPosteRubriqueTotal"/>
                                </td>
                                <td class="montant bordureRight">
                                    <xsl:call-template name="number">
                                        <xsl:with-param name="num">
                                            <xsl:value-of select="@MontantN"/>
                                        </xsl:with-param>
                                    </xsl:call-template>
                                </td>
                                <td class="montant bordureRight">
                                    <xsl:call-template name="number">
                                        <xsl:with-param name="num">
                                            <xsl:value-of select="@MontantN_1"/>
                                        </xsl:with-param>
                                    </xsl:call-template>
                                </td>
                            </xsl:when>
                            <xsl:otherwise>
                                <td class="libelleLigne bordureRight">
                                    <xsl:value-of select="@LibPosteRubriqueTotal"/>
                                </td>
                                <td class="montant bordureRight">
                                    <xsl:call-template name="number">
                                        <xsl:with-param name="num">
                                            <xsl:value-of select="@MontantN"/>
                                        </xsl:with-param>
                                    </xsl:call-template>
                                </td>
                                <td class="montant bordureRight">
                                    <xsl:call-template name="number">
                                        <xsl:with-param name="num">
                                            <xsl:value-of select="@MontantN_1"/>
                                        </xsl:with-param>
                                    </xsl:call-template>
                                </td>
                            </xsl:otherwise></xsl:choose>
                    </tr>
                </xsl:for-each>
            </tbody>
        </table>
    </xsl:template>
  
</xsl:transform>
