<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE xsl:stylesheet [
<!ENTITY nbsp "&#160;">
<!ENTITY egrave "&#232;">
<!ENTITY euro "&#8364;">
<!ENTITY agrave "&#224;">
<!ENTITY eacute "&#233;">
]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.xemelios.org/namespaces#cg-1.0" xmlns:n="http://www.xemelios.org/namespaces#cg-1.0" version="2.0">
    <!-- Paramtres de sortie -->
    <xsl:character-map name="accents">
        <xsl:output-character character="" string="&amp;#224;"/>
        <xsl:output-character character="" string="&amp;#233;"/>
        <xsl:output-character character="" string="&amp;#232;"/>
        <xsl:output-character character="" string="&amp;#234;"/>
        <xsl:output-character character="" string="&amp;#235;"/>
        <xsl:output-character character="" string="&amp;#238;"/>
        <xsl:output-character character="" string="&amp;#239;"/>
        <xsl:output-character character="" string="&amp;#244;"/>
        <xsl:output-character character="" string="&amp;#249;"/>
    </xsl:character-map>
    <xsl:output method="xhtml" indent="yes" use-character-maps="accents" encoding="ISO-8859-1"/>
    <xsl:decimal-format name="decformat" decimal-separator="," grouping-separator=" " digit="#" pattern-separator=";" NaN="NaN" minus-sign="-"/>

    <!-- Inclusion des XSL externes -->
    <xsl:include href="./common-xsl/Style.xsl"/>
    <xsl:include href="./common-xsl/Error.xsl"/>
    <xsl:include href="./common-xsl/Navigate.xsl"/>
    <xsl:include href="./common-xsl/Header.xsl"/>
    <xsl:include href="./common-xsl/Number.xsl"/>

    <!-- Paramtres d'entre -->
    <xsl:param name="show.formulaire"/>
    <xsl:param name="browser-destination"/>

    <!-- Paramtres d'entre de la liste de rsultat -->
    <xsl:param name="LibelleBC">0</xsl:param>

    <!-- Paramtres d'erreur -->
    <xsl:param name="error.message">nomessage</xsl:param>

    <!-- Variables -->
    <xsl:variable name="page-format" select="paysage"/>
    <xsl:variable name="NumPage" select="/n:CompteGestion/n:TableauAmortissement/n:PageTableauAmortissement/n:Pied/@NumPage"/>
    <xsl:variable name="Entete">
        <xsl:copy-of select="/n:CompteGestion/n:Entete"/>
    </xsl:variable>

    <!-- pour eviter les sorties parasites de tags non matches -->
    <xsl:template match="*"/>

    <xsl:template match="/n:CompteGestion">
        <html>
            <head>
                <title>Tableau d&apos;amortissements comptables</title>
                <xsl:call-template name="style"/>
            </head>
            <body width="100%">
                <xsl:if test="$error.message!='nomessage'">
                    <xsl:attribute name="onload">javascript:showDialog('<xsl:value-of select="$error.message"/>');</xsl:attribute>
                </xsl:if>
                <xsl:call-template name="Error"><!--xsl:with-param name="error.message" select="$error.message"/--></xsl:call-template>
                <xsl:call-template name="navigate">
                    <xsl:with-param name="docId">compteGestion</xsl:with-param>
                    <xsl:with-param name="etatId">TableauAmortissement</xsl:with-param>
                    <xsl:with-param name="elementId">PageTableauAmortissement</xsl:with-param>
                    <xsl:with-param name="sous.elementId">LigneTableauAmortissement</xsl:with-param>
                    <xsl:with-param name="NumPage" select="$NumPage"/>
                    <xsl:with-param name="Entete" select="$Entete"/>
                    <xsl:with-param name="show.formulaire" select="$show.formulaire"/>
                    <xsl:with-param name="show.formulaire.compte" select="0"/>
                    <xsl:with-param name="show.depense.recette" select="0"/>
                </xsl:call-template>
                <br/>
                <br/>
                <br/>
                <xsl:call-template name="header">
                    <xsl:with-param name="Entete" select="$Entete"/>
                    <xsl:with-param name="Titre">Tableau de suivi des amortissements comptables exc&#233;dentaires diff&#233;r&#233;s (compte 116)</xsl:with-param>
                </xsl:call-template>
                <br/>
                <br/>
                <br/>
                <br/>
                <xsl:call-template name="mainTable">
                      <xsl:with-param name="el" select="/n:CompteGestion/n:TableauAmortissement/n:PageTableauAmortissement"/>
                </xsl:call-template>
                <br/>
                <br/>
                <br/>
                <br/>
                <p>
                    <center>Page - <xsl:value-of select="$NumPage"/></center>
                </p>
            </body>
        </html>
    </xsl:template>

    <xsl:template name="mainTable">
        <xsl:param name="el"/>
        <table width="100%" id="main" class="bordered">
            <colgroup>
                <col width="10%"/>
                <col width="10%"/>
                <col width="8%"/>
                <col width="8%"/>
                <col width="8%"/>
                <col width="8%"/>
                <col width="8%"/>
                <col width="8%"/>
                <col width="8%"/>
                <col width="8%"/>
                <col width="8%"/>
                <col width="8%"/>

            </colgroup>
            <thead>
                <tr class="titre">
                    <td colspan="2" rowspan="2" class="center bordered"/>
                    <td colspan="10" class="titre bold center bordered">Exercice de reprise de l&apos;amortissement comptable excdentaire diffr (= exercice de d&#233;termination du rsultat)</td>
                </tr>
                <tr>
                    <td class="bordered">&nbsp;</td>
                    <td class="bordered">&nbsp;</td>
                    <td class="bordered">&nbsp;</td>
                    <td class="bordered">&nbsp;</td>
                    <td class="bordered">&nbsp;</td>
                    <td class="bordered">&nbsp;</td>
                    <td class="bordered">&nbsp;</td>
                    <td class="bordered">&nbsp;</td>
                    <td class="bordered">&nbsp;</td>
                    <td class="bordered">&nbsp;</td>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td rowspan="8" class="titre2 bold center bordered">Exercice de constatation de l&apos;amortissement comptable diffr (= exercice de d&#233;termination du rsultat)</td> 
                </tr>
                <tr>
                    <xsl:attribute name="id">colorised2</xsl:attribute>
                    <td class="center bordureRight"><xsl:value-of select="$el/n:LigneTableauAmortissement/@ExerciceN"/></td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                </tr>
                <tr>
                    <xsl:attribute name="id">colorised1</xsl:attribute>
                    <td class="center bordureRight"><xsl:value-of select="$el/n:LigneTableauAmortissement/@ExerciceNplus1"/></td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                </tr>
                <tr>
                    <xsl:attribute name="id">colorised2</xsl:attribute>
                    <td class="center bordureRight"><xsl:value-of select="$el/n:LigneTableauAmortissement/@ExerciceNplus2"/></td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                </tr>
                <tr>
                    <xsl:attribute name="id">colorised1</xsl:attribute>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                </tr>
                <tr>
                    <xsl:attribute name="id">colorised2</xsl:attribute>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                </tr>
                <tr>
                    <xsl:attribute name="id">colorised1</xsl:attribute>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                </tr>
                <tr>
                    <xsl:attribute name="id">colorised2</xsl:attribute>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                    <td class="bordureRight">&nbsp;</td>
                </tr>
            </tbody>
        </table>
    </xsl:template>

</xsl:stylesheet>
