<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">
    
    <xsl:param name="default.params.location"/>

    <xsl:variable name="default.params" select="document($default.params.location)"/>
    
    <xsl:output encoding="UTF-8" method="xml" standalone="yes" indent="yes"/>
    <xsl:template match="*">
        <xsl:choose>
            <xsl:when test="name()='param'">
                <xsl:variable name="param.id" select="./@id"/>
                <xsl:choose>
                    <xsl:when test="count($default.params//param[@id=$param.id]) &gt; 0">
                        <xsl:copy-of select="$default.params//param[@id=$param.id]"/>
                    </xsl:when>
                    <xsl:otherwise><xsl:copy-of select="."/></xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="name()='regle-fonctionnelle'">
                <xsl:element name="{name()}" namespace="{namespace-uri()}">
                    <xsl:choose>
                        <xsl:when test="contains(text(),'&gt;') or contains(text(),'&lt;')">
                            <xsl:text disable-output-escaping="yes">&lt;![CDATA[</xsl:text><xsl:value-of select="text()" disable-output-escaping="yes"/><xsl:text disable-output-escaping="yes">]]&gt;</xsl:text>
                        </xsl:when>
                        <xsl:otherwise><xsl:value-of select="text()"/></xsl:otherwise>
                    </xsl:choose>
                </xsl:element>
            </xsl:when>
            <xsl:otherwise>
                <xsl:element name="{name()}" namespace="{namespace-uri()}">
                    <xsl:for-each select="./@*">
                        <xsl:attribute name="{name()}" namespace="{namespace-uri()}"><xsl:value-of select="."/></xsl:attribute>
                    </xsl:for-each>
                    <xsl:apply-templates/>
                </xsl:element>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>

</xsl:stylesheet>
