<?xml version="1.1" encoding="iso-8859-1"?>
<!DOCTYPE xsl:stylesheet [
<!ENTITY nbsp "&#160;">
]>
<xsl:transform
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:n="http://www.minefi.gouv.fr/cp/helios/pes_v2/facture"
 xmlns:added="http://projets.admisource.gouv.fr/xemelios/namspaces#added"
 xmlns:ano="http://projets.admisource.gouv.fr/xemelios/namspaces#anomally" version="2.0"
>

<xsl:output
 method="xhtml"
 encoding="iso-8859-1"
 indent="yes"
 />

<!-- pour eviter les sorties parasites de tags non matches -->
<xsl:template match="*">
</xsl:template>

<!-- parametre implicite pour tous les format-number utilises dans la feuille-->
<xsl:decimal-format
                    decimal-separator="."
                    grouping-separator=" "
/>   


<xsl:param name="language" select="'fr'"/>


<xsl:template match="/n:DOC_PES_Facture">
<html>
<head>
 <title>Nomenclature</title>
 <style>
 <!--     font-family: verdana, sans-serif; -->  
body {
    font-size: 10px;
}
h2 { font-size: 16px; }
td {
	font-size: 11px;
	border-width: 1px;
	border-color: black;
	border-spacing: 0px
	border-collapse: collapse;
	padding: 2px;
}
td.gauche {
    border-style: none none solid solid;
}
td.droite {
    border-style: none solid solid solid;
}
.titreGauche {
	font-weight: bold;
	text-align: center;
	background-color: #555555;
	color: white;
	border-style: solid none solid solid;
}
 .titreDroite {
 font-weight: bold;
 text-align: center;
 background-color: #555555;
 color: white;
 border-style: solid solid solid solid;
 }
</style>
</head>
<body>
<xsl:apply-templates  />
</body>
</html>
</xsl:template>

<xsl:template match="n:Nomenclatures">
<xsl:apply-templates  />
</xsl:template>

 <xsl:template match="/n:DOC_PES_Facture/n:Nomenclatures/n:NomenclatureProduit">
<h2><xsl:value-of select="n:Description/@V"/></h2>
 <table cellspacing="0"><!-- cellspacing="0px" cellpadding="1px" -->
<tr><td class="titreGauche">Libelle</td><td class="titreDroite">Code</td></tr>
<xsl:apply-templates/>
</table>
<br/>
</xsl:template>

 <xsl:template match="/n:DOC_PES_Facture/n:Nomenclatures/n:NomenclatureBudget">
<h2><xsl:value-of select="n:Description/@V"/></h2>
 <table cellspacing="0"><!-- cellspacing="0px" cellpadding="1px" -->
<tr><td class="titreGauche">Libelle</td><td class="titreDroite">Code</td></tr>
<xsl:apply-templates/>
</table>
<br/>
</xsl:template>

 <xsl:template match="/n:DOC_PES_Facture/n:Nomenclatures/n:NomenclatureNature">
<h2><xsl:value-of select="n:Description/@V"/></h2>
 <table cellspacing="0"><!--  cellspacing="0px" cellpadding="1px" -->
<tr><td class="titreGauche">Libelle</td><td class="titreDroite">Code</td></tr>
<xsl:apply-templates/>
</table>
<br/>
</xsl:template>
 
<!-- fin structure globale-->


 <xsl:template match="n:NomenclatureProduit/n:Correspondance">
 <tr><td class="gauche"><xsl:value-of select="n:Libelle/@V"/>&#8201;</td><td class="droite"><xsl:value-of select="n:Code/@V"/>&#8201;</td></tr>
</xsl:template>

<xsl:template match="n:NomenclatureNature/n:Correspondance">
 <tr><td class="gauche"><xsl:value-of select="n:Libelle/@V"/>&#8201;</td><td class="droite"><xsl:value-of select="n:Code/@V"/>&#8201;</td></tr>
</xsl:template>

<xsl:template match="n:NomenclatureBudget/n:Correspondance">
 <tr><td class="gauche"><xsl:value-of select="n:Libelle/@V"/>&#8201;</td><td class="droite"><xsl:value-of select="n:Code/@V"/>&#8201;</td></tr>
</xsl:template>
 
</xsl:transform>	

