/*
 * Copyright
 *   2007 axYus - www.axyus.com
 *   2007 C.Marchand - christophe.marchand@axyus.com
 *
 * This file is part of XEMELIOS.
 *
 * XEMELIOS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * XEMELIOS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with XEMELIOS; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package fr.gouv.finances.cp.xemelios.widgets;

import fr.gouv.finances.dgfip.xemelios.common.config.ElementModel;
import fr.gouv.finances.dgfip.xemelios.common.config.WidgetModel;
import fr.gouv.finances.cp.xemelios.ui.resulttable.EtatResultTableModel;

/**
 *
 * @author chm
 */
public abstract class AbstractWidget {
    private WidgetModel wm;
    private ElementModel em;
    
    /** Creates a new instance of Widget */
    public AbstractWidget(WidgetModel wm, ElementModel em) {
        super();
        this.wm=wm;
        this.em=em;
    }
    public final WidgetModel getWidgetModel() { return wm; }
    public final ElementModel getElementModel() { return em; }
    
    public abstract void run(EtatResultTableModel etrm,int row);
}
