/*
 * Copyright
 *   2007 axYus - www.axyus.com
 *   2009 C.Marchand - christophe.marchand@axyus.com
 *
 * This file is part of XEMELIOS.
 *
 * XEMELIOS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * XEMELIOS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with XEMELIOS; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package fr.gouv.finances.dgfip.xemelios.web.gwt.client.dto;

import com.google.gwt.user.client.rpc.IsSerializable;

/**
 * This class wrapps an ExportModel, with all exportable fields
 * @author chm
 */
public class ExportModelDTO implements IsSerializable {

    private String docId=null, etatId=null;
    private String id=null, code=null, libelle=null;
    private ExportElementDTO element = null;

    public ExportModelDTO() {
        super();
    }
    public ExportModelDTO(String id, String code, String libelle) {
        this();
        this.id=id;
        this.code=code;
        this.libelle=libelle;
    }
    public ExportModelDTO(String docId, String etatId, String id, String code, String libelle) {
        this(id,code,libelle);
        this.docId=docId;
        this.etatId=etatId;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getDocId() {
        return docId;
    }

    public void setDocId(String docId) {
        this.docId = docId;
    }

    public ExportElementDTO getElement() {
        return element;
    }

    public void setElement(ExportElementDTO element) {
        this.element = element;
    }

    public String getEtatId() {
        return etatId;
    }

    public void setEtatId(String etatId) {
        this.etatId = etatId;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getLibelle() {
        return libelle;
    }

    public void setLibelle(String libelle) {
        this.libelle = libelle;
    }
    
}
