<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE xsl:stylesheet [
]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:p="http://www.minefi.gouv.fr/cp/helios/pes_v2/Rev0/aller"
  xmlns:added="http://projets.admisource.gouv.fr/xemelios/namespaces#added"
  xmlns:ano="http://projets.admisource.gouv.fr/xemelios/namespaces#anomally"
  xmlns:ds="http://www.w3.org/2000/09/xmldsig#" xmlns:xad="http://uri.etsi.org/01903/v1.1.1#"
  xmlns:data="data.uri" xmlns:xem="fr.gouv.finances.cp.utils.xml.certs.Certificate509"
  xmlns:xemhlp="fr.gouv.finances.cp.utils.xml.helper.HelperFunction" version="2.0">
  <xsl:param name="browser-destination"/>
  <xsl:output encoding="ISO-8859-1" method="xhtml" exclude-result-prefixes="p added ano data"
    doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" include-content-type="no" indent="yes"/>
  <xsl:decimal-format name="decformat" decimal-separator="," grouping-separator=" " digit="#"
    pattern-separator=";" NaN="NaN" minus-sign="-"/>
  <xsl:key name="distinct-exer" match="Exer" use="@V"/>
  <xsl:variable name="exercice">
    <xsl:value-of select="xemhlp:getDate('yyyy')"/>
    <!--xsl:value-of select="format-date(current(),'[Y]')"/-->
  </xsl:variable>
  <xsl:variable name="sousdomaines">
    <domaine code="depense">
      <triplet code="01-01-01" valeur="Ordinaire"/>
      <triplet code="01-01-02" valeur="Ordinaire"/>
      <triplet code="02-02-06" valeur="Correctif"/>
      <triplet code="01-02-09" valeur="Correctif"/>
      <triplet code="02-02-10" valeur="Correctif"/>
      <triplet code="01-05-01" valeur="EAP"/>
      <triplet code="01-05-02" valeur="EAP"/>
      <triplet code="01-05-03" valeur="EAP"/>
      <triplet code="01-05-04" valeur="EAP"/>
      <triplet code="01-01-05" valeur="Rgie"/>
      <triplet code="01-05-05" valeur="Rgie"/>
      <triplet code="01-09-01" valeur="March"/>
      <triplet code="01-09-02" valeur="March"/>
      <triplet code="01-09-12" valeur="March"/>
      <triplet code="01-09-13" valeur="March"/>
      <triplet code="01-01-03" valeur="Inventaire/Emprunt"/>
      <triplet code="01-01-04" valeur="Inventaire/Emprunt"/>
      <triplet code="01-10-01" valeur="Rattachement"/>
      <triplet code="01-10-02" valeur="Rattachement"/>
      <triplet code="01-10-03" valeur="Rattachement"/>
      <triplet code="01-10-04" valeur="Rattachement"/>
      <triplet code="01-10-05" valeur="Rattachement"/>
      <triplet code="01-10-11" valeur="Rattachement"/>
      <triplet code="01-03-01" valeur="Fin d'exercice"/>
      <triplet code="01-03-02" valeur="Fin d'exercice"/>
      <triplet code="01-03-03" valeur="Fin d'exercice"/>
      <triplet code="01-03-04" valeur="Fin d'exercice"/>
      <triplet code="01-03-18" valeur="Fin d'exercice"/>
      <triplet code="01-04-01" valeur="Fin d'exercice"/>
      <triplet code="01-04-02" valeur="Fin d'exercice"/>
      <triplet code="01-04-03" valeur="Fin d'exercice"/>
      <triplet code="01-04-04" valeur="Fin d'exercice"/>
      <triplet code="02-04-06" valeur="Fin d'exercice"/>
      <triplet code="01-13-01" valeur="Fin d'exercice"/>
      <triplet code="02-13-06" valeur="Fin d'exercice"/>
      <triplet code="01-08-01" valeur="Collectif"/>
      <triplet code="01-08-02" valeur="Collectif"/>
      <triplet code="01-01-11" valeur="Paie"/>
      <triplet code="01-08-11" valeur="Paie"/>
      <triplet code="01-07-01" valeur="Admission en non valeur"/>
      <triplet code="01-06-01" valeur="Global"/>
      <triplet code="01-06-04" valeur="Global"/>
      <triplet code="01-06-07" valeur="Global"/>
      <triplet code="01-02-07" valeur="Hors Scope"/>
      <triplet code="01-02-08" valeur="Hors Scope"/>
      <triplet code="03-11-01" valeur="Hors Scope"/>
      <triplet code="03-11-02" valeur="Hors Scope"/>
      <triplet code="03-11-14" valeur="Hors Scope"/>
    </domaine>
    <domaine code="recette">
      <triplet code="01-01-01" valeur="Ordinaire"/>
      <triplet code="01-01-02" valeur="Ordinaire"/>
      <triplet code="02-02-06" valeur="Correctif"/>
      <triplet code="01-02-09" valeur="Correctif"/>
      <triplet code="02-02-10" valeur="Correctif"/>
      <triplet code="01-05-01" valeur="Emis Aprs Encaissement"/>
      <triplet code="01-05-02" valeur="Emis Aprs Encaissement"/>
      <triplet code="01-05-03" valeur="Emis Aprs Encaissement"/>
      <triplet code="01-05-04" valeur="Emis Aprs Encaissement"/>
      <triplet code="01-01-05" valeur="Rgie"/>
      <triplet code="01-05-05" valeur="Rgie"/>
      <triplet code="01-01-03" valeur="Inventaire/Emprunt"/>
      <triplet code="01-01-04" valeur="Inventaire/Emprunt"/>
      <triplet code="01-11-01" valeur="Rattachement"/>
      <triplet code="01-11-02" valeur="Rattachement"/>
      <triplet code="01-11-04" valeur="Rattachement"/>
      <triplet code="01-01-18" valeur="Fin d'exercice"/>
      <triplet code="01-03-01" valeur="Fin d'exercice"/>
      <triplet code="01-03-02" valeur="Fin d'exercice"/>
      <triplet code="01-03-03" valeur="Fin d'exercice"/>
      <triplet code="01-03-04" valeur="Fin d'exercice"/>
      <triplet code="01-03-18" valeur="Fin d'exercice"/>
      <triplet code="01-04-01" valeur="Fin d'exercice"/>
      <triplet code="01-04-02" valeur="Fin d'exercice"/>
      <triplet code="01-04-03" valeur="Fin d'exercice"/>
      <triplet code="01-04-04" valeur="Fin d'exercice"/>
      <triplet code="02-04-06" valeur="Fin d'exercice"/>
      <triplet code="01-14-01" valeur="Fin d'exercice"/>
      <triplet code="02-14-06" valeur="Fin d'exercice"/>
      <triplet code="01-09-01" valeur="Majoration"/>
      <triplet code="01-06-01" valeur="Rcapitulatif"/>
      <triplet code="02-06-06" valeur="Rcapitulatif"/>
      <triplet code="01-07-01" valeur="Rcapitulatif"/>
      <triplet code="01-02-07" valeur="Hors Scope"/>
      <triplet code="01-02-08" valeur="Hors Scope"/>
      <triplet code="01-10-01" valeur="Hors Scope"/>
      <triplet code="01-10-02" valeur="Hors Scope"/>
      <triplet code="03-12-01" valeur="Hors Scope"/>
      <triplet code="03-12-02" valeur="Hors Scope"/>
      <triplet code="03-12-11" valeur="Hors Scope"/>
    </domaine>
  </xsl:variable>
  <xsl:template match="*"/>
  <xsl:template match="/p:PES_Aller">
    <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
      <head>
        <style type="text/css">
          @page {
          size: 29.7cm 21cm;
          margin: 0.5 0.5 0.5 0.5;
          
          }
          body {
          width: 29cm;
          font-family: verdana, sans-serif;
          font-size: 10px;
          background-color: #FFFFFF;
          
          }
          div.divpage {
          width: 29cm;
          margin: 0 0 0 0;
          
          }
          span.Resultat {
          font-size:11.0pt;
          color:navy 
          }
          p.Normal, li.Normal, div.Normal {
          margin:0cm;
          margin-bottom:.0001pt;
          font-size:10.0pt;
          font-family:"Times New Roman";
          }
          p.Style1, li.Style1, div.Style1 {
          margin:0cm;
          margin-bottom:.0001pt;
          text-align:center;
          page-break-before:always;
          font-size:12.0pt;
          font-family:"Times New Roman";
          font-weight:bold;
          }
          table {
          border-collapse: collapse;
          
          }
          table.entete {
          margin: 0;
          border-style: none;
          border-width: 0px;
          border-color: black;
          width: 100%;
          font-size: 14px;
          
          }
          tr {
          margin: 0;
          
          }
          td {
          margin: 0;
          border:solid black
          1.0pt;
          border-style: inset;
          border-width: 1px;
          border-color: black;
          vertical-align: top;
          line-height: 13px;
          border-top:none;
          border-bottom:solid black 1.0pt;
          border-right: solid
          black 1.0pt;
          padding:0cm 3.5pt 0cm 3.5pt;
          
          }
          table.footer {
          margin: 0;
          border-style: none;
          width: 100%;
          font-size: 12px;
          
          }
          td.noborder {
          border-style: none;
          
          }
          td.right {
          text-align:
          right;
          
          }
          noupper {
          border-top-style: none;
          
          }
          :link {
          color: #00c;
          background: transparent
          }
          :visited {
          color: #609;
          background: transparent 
          }
          a:active {
          color: #c00;
          background:
          transparent 
          }
          a:link img, a:visited img {
          border-style: none 
          }
          .gras {
          font-weight: bold;
          }
          .pj {
          font-size: 10px;
          font-weight: normal;
          
          }
          li.pj {
          list-style-type: none;
          margin-left: -20px;
          
          } </style>
        <title>ANALYSE DES FLUX de PES</title>
      </head>
      <body>
        <p class="Style1">R&#233;sum&#233; du flux </p>
        <p class="Normal">&#160;</p>
        <p class="Normal">&#160;</p>
        <div align="center">
          <table class="NormalTable" border="1" cellspacing="0" cellpadding="0" align="center"
            style="border-collapse:collapse;border:1px">
            <!--style='border-collapse:collapse;border:none'-->
            <tr style="page-break-inside:avoid">
              <td width="184" valign="top"
                style="width:138.2pt;
                                                  background:gray;padding:0cm 3.5pt 0cm 3.5pt">
                <p class="Normal" align="center" style="text-align:center">
                  <b>
                    <span style="color:white">Domaine</span>
                  </b>
                </p>
              </td>
              <td width="161" valign="top"
                style="width:120.45pt;
                                                  border-left:none;background:gray;padding:0cm 3.5pt 0cm 3.5pt">
                <p class="Normal" align="center" style="text-align:center">
                  <b>
                    <span style="color:white">Nombre de bordereaux</span>
                  </b>
                </p>
              </td>
              <td width="167" valign="top"
                style="width:125.15pt;
                                                  border-left:none;background:gray;padding:0cm 3.5pt 0cm 3.5pt">
                <p class="Normal" align="center" style="text-align:center">
                  <b>
                    <span style="color:white">Nombre de pi&#232;ces</span>
                  </b>
                </p>
              </td>
              <td width="122" valign="top"
                style="width:91.75pt;
                                                  border-left:none;background:gray;padding:0cm 3.5pt 0cm 3.5pt">
                <p class="Normal" align="center" style="text-align:center">
                  <b>
                    <span style="color:white">Nombre de lignes</span>
                  </b>
                </p>
              </td>
            </tr>
            <tr style="page-break-inside:avoid">
              <td width="184" valign="top"
                style="width:138.2pt;border-left:solid black 1.0pt;
                                                  border-top:none;padding:0cm 3.5pt 0cm 3.5pt">
                <p class="Normal">Recette</p>
              </td>
              <td width="161" valign="top" style="width:120.45pt;text-align:right">
                <p class="Normal">
                  <span class="Resultat">
                    <!--Nb(BordRec)-->
                    <xsl:value-of select="count(./p:PES_RecetteAller/p:Bordereau/p:BlocBordereau)"/>
                  </span>
                </p>
              </td>
              <td width="167" valign="top" style="width:125.15pt;text-align:right">
                <p class="Normal">
                  <span class="Resultat">
                    <!--  	
                                                              Nb(PiecRec)-->
                    <xsl:value-of
                      select="count(./p:PES_RecetteAller/p:Bordereau/p:Piece/p:BlocPiece)"/>
                  </span>
                </p>
              </td>
              <td width="122" valign="top" style="width:91.75pt;text-align:right">
                <p class="Normal">
                  <span class="Resultat">
                    <!--Nb(LignRec) -->
                    <xsl:value-of
                      select="count(./p:PES_RecetteAller/p:Bordereau/p:Piece/p:LigneDePiece/p:BlocLignePiece)"
                    />
                  </span>
                </p>
              </td>
            </tr>
            <tr style="page-break-inside:avoid">
              <td width="184" valign="top"
                style="width:138.2pt;
                                                  border-top:none;padding:0cm 3.5pt 0cm 3.5pt">
                <p class="Normal">D&#233;pense</p>
              </td>
              <td width="161" valign="top" style="width:120.45pt;text-align:right">
                <p class="Normal">
                  <span class="Resultat">
                    <!-- Nb(BordDep)-->
                    <xsl:value-of select="count(./p:PES_DepenseAller/p:Bordereau/p:BlocBordereau)"/>
                  </span>
                </p>
              </td>
              <td width="167" valign="top" style="width:125.15pt;text-align:right">
                <p class="Normal">
                  <span class="Resultat">
                    <!--  	
                                                              Nb(PiecDep)-->
                    <xsl:value-of
                      select="count(./p:PES_DepenseAller/p:Bordereau/p:Piece/p:BlocPiece/p:InfoPce)"
                    />
                  </span>
                </p>
              </td>
              <td width="122" valign="top" style="width:91.75pt;text-align:right">
                <p class="Normal">
                  <span class="Resultat">
                    <!-- Nb(LignDep)-->
                    <xsl:value-of
                      select="count(./p:PES_DepenseAller/p:Bordereau/p:Piece/p:LigneDePiece/p:BlocLignePiece)"
                    />
                  </span>
                </p>
              </td>
            </tr>
            <tr style="page-break-inside:avoid">
              <td width="184" valign="top"
                style="width:138.2pt;
                                                  border-top:none;padding:0cm 3.5pt 0cm 3.5pt">
                <p class="Normal">PJ</p>
              </td>
              <td width="450" colspan="3" valign="top" style="width:337.35pt;text-align:left">
                <p class="Normal">
                  <span class="Resultat">
                    <!--Nb(PES_Aller\PES_PJ\PJ) -->
                    <xsl:value-of select="count(.//p:PES_PJ/p:PJ)"/>
                  </span>
                </p>
              </td>
            </tr>
            <tr style="page-break-inside:avoid">
              <td width="184" valign="top"
                style="width:138.2pt;
                                                  border-top:none;padding:0cm 3.5pt 0cm 3.5pt">
                <p class="Normal">Exercice</p>
              </td>
              <td width="450" colspan="3" valign="top" style="width:337.35pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <!--Liste disctincte(BordRec\Exer@V BordDep\Exer@V) -->
                    <xsl:for-each
                      select="//p:Bordereau/p:BlocBordereau/p:Exer[generate-id() = generate-id(key('distinct-exer',string(@V))[1])]">
                      <xsl:value-of select="@V"/>&#160;</xsl:for-each>
                  </span>
                </p>
              </td>
            </tr>
          </table>
        </div>
        <p class="Normal">&#160;</p>
        <p class="Normal">&#160;</p>
        <p class="Normal" align="center" style="text-align:center">
          <b>
            <span style="font-size:12.0pt">Description du flux par sous domaine</span>
          </b>
        </p>
        <p class="Normal">&#160;</p>
        <table class="Normal" border="1" cellspacing="0" cellpadding="0" align="center"
          style="border-collapse:collapse;border:1px">
          <thead>
            <tr>
              <td width="58" valign="top"
                style="width:43.5pt;background:gray;padding:0cm 3.5pt 0cm 3.5pt">
                <p class="Normal">
                  <b>
                    <span style="font-size:10.0pt;color:white">Domaine</span>
                  </b>
                </p>
              </td>
              <td width="66" valign="top"
                style="width:49.65pt;border-left:none;background:gray;padding:0cm 3.5pt 0cm 3.5pt">
                <p class="Normal">
                  <b>
                    <span style="font-size:10.0pt;color:white">Sous domaine</span>
                  </b>
                </p>
              </td>
              <td width="95" valign="top"
                style="width:70.9pt;
                                                 border-left:none;background:gray;padding:0cm 3.5pt 0cm 3.5pt">
                <p class="Normal">
                  <b>
                    <span style="font-size:10.0pt;color:white">Num&#233;ro de bordereaux</span>
                  </b>
                </p>
              </td>
              <td width="104" valign="top"
                style="width:77.95pt;
                                                  border-left:none;background:gray;padding:0cm 3.5pt 0cm 3.5pt">
                <p class="Normal">
                  <b>
                    <span style="font-size:10.0pt;color:white">Nbre total</span>
                  </b>
                </p>
              </td>
              <td width="85" valign="top"
                style="width:63.8pt;
                                                 border-left:none;background:gray;padding:0cm 3.5pt 0cm 3.5pt">
                <p class="Normal">
                  <b>
                    <span style="font-size:10.0pt;color:white">Triplet correspondant</span>
                  </b>
                </p>
              </td>
              <td width="85" valign="top"
                style="width:63.8pt;
                                                 border-left:none;background:gray;padding:0cm 3.5pt 0cm 3.5pt">
                <p class="Normal">
                  <b>
                    <span style="font-size:10.0pt;color:white">R&#233;gie</span>
                  </b>
                </p>
              </td>
              <td width="85" valign="top"
                style="width:63.75pt;
                                                 border-left:none;background:gray;padding:0cm 3.5pt 0cm 3.5pt">
                <p class="Normal">
                  <b>
                    <span style="font-size:10.0pt;color:white">Inventaire</span>
                  </b>
                </p>
              </td>
              <td width="85" valign="top"
                style="width:63.8pt;
                                                 border-left:none;background:gray;padding:0cm 3.5pt 0cm 3.5pt">
                <p class="Normal">
                  <b>
                    <span style="font-size:10.0pt;color:white">Convention</span>
                  </b>
                </p>
              </td>
              <td width="85" valign="top"
                style="width:63.8pt;
                                                 border-left:none;background:gray;padding:0cm 3.5pt 0cm 3.5pt">
                <p class="Normal">
                  <b>
                    <span style="font-size:10.0pt;color:white">Emprunt</span>
                  </b>
                </p>
              </td>
              <td width="94" valign="top"
                style="width:70.85pt;
                                                 border-left:none;background:gray;padding:0cm 3.5pt 0cm 3.5pt">
                <p class="Normal">
                  <b>
                    <span style="font-size:10.0pt;color:white">Encaiss. \ Paiement</span>
                  </b>
                </p>
              </td>
              <td width="94" valign="top"
                style="width:70.75pt;
                                                 border-left:none;background:gray;padding:0cm 3.5pt 0cm 3.5pt">
                <p class="Normal">
                  <b>
                    <span style="font-size:10.0pt;color:white">Pi&#232;ce d&#176;origine
                    N</span>
                  </b>
                </p>
              </td>
              <td width="104" valign="top"
                style="width:77.95pt;
                                                  border-left:none;background:gray;padding:0cm 3.5pt 0cm 3.5pt">
                <p class="Normal">
                  <b>
                    <span style="font-size:10.0pt;color:white">Pi&#232;ce d&#176;origine
                    N-1</span>
                  </b>
                </p>
              </td>
            </tr>
          </thead>
          <tbody>
            <tr>
              <td width="58" valign="top"
                style="width:43.5pt;
                                                 border-top:none;padding:0cm 3.5pt 0cm 3.5pt">
                <p class="Normal">
                  <span style="font-size:10.0pt">Recette</span>
                </p>
              </td>
              <td width="66" valign="top" style="width:49.65pt;">
                <p class="Normal">
                  <span style="font-size:10.0pt">Ordinaires</span>
                </p>
              </td>
              <td width="95" valign="top" style="width:70.9pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[p:Piece/p:BlocPiece/p:TypPce/@V='01' and (p:Piece/p:BlocPiece/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:NatPce/@V='02')  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="104" valign="top" style="width:77.95pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:value-of
                      select="count(./p:PES_RecetteAller/p:Bordereau/p:BlocBordereau/p:IdBord/@V[../../../p:Piece/p:BlocPiece/p:TypPce/@V='01' and (../../../p:Piece/p:BlocPiece/p:NatPce/@V='01' or ../../../p:Piece/p:BlocPiece/p:NatPce/@V='02')  ])"
                    />
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span style="font-size:10.0pt">Ordinaire \ Fonctionnement </span>
                </p>
                <p class="Normal">
                  <span style="font-size:10.0pt">Ordinaire \ Investissement</span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[(p:Piece/p:BlocPiece/p:TypPce/@V='01' and (p:Piece/p:BlocPiece/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:NatPce/@V='02')) and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdRegie ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.75pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[(p:Piece/p:BlocPiece/p:TypPce/@V='01' and (p:Piece/p:BlocPiece/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:NatPce/@V='02')) and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdActif ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[(p:Piece/p:BlocPiece/p:TypPce/@V='01' and (p:Piece/p:BlocPiece/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:NatPce/@V='02')) and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdConv ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[(p:Piece/p:BlocPiece/p:TypPce/@V='01' and (p:Piece/p:BlocPiece/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:NatPce/@V='02')) and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdEmpruntOrdo ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="94" valign="top" style="width:70.85pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[(p:Piece/p:BlocPiece/p:TypPce/@V='01' and (p:Piece/p:BlocPiece/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:NatPce/@V='02')) and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdEncaissement ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="94" valign="top" style="width:70.75pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[(p:Piece/p:BlocPiece/p:TypPce/@V='01' and (p:Piece/p:BlocPiece/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:NatPce/@V='02')) and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:RattachPiece/p:ExerRat/@V=$exercice ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="104" valign="top" style="width:77.95pt;">
                <p class="Normal" style="margin-left:10.55pt;text-indent:-10.55pt">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[(p:Piece/p:BlocPiece/p:TypPce/@V='01' and (p:Piece/p:BlocPiece/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:NatPce/@V='02')) and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:RattachPiece/p:ExerRat/@V=$exercice -1 ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
            </tr>
            <tr>
              <td width="58" valign="top"
                style="width:43.5pt;
                                                 border-top:none;padding:0cm 3.5pt 0cm 3.5pt">
                <p class="Normal">
                  <span style="font-size:10.0pt">Recette</span>
                </p>
              </td>
              <td width="66" valign="top" style="width:49.65pt;">
                <p class="Normal">
                  <span style="font-size:10.0pt">Correction \Annulation</span>
                </p>
              </td>
              <td width="95" valign="top" style="width:70.9pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[p:Piece/p:BlocPiece/p:TypPce/@V='02' and (p:Piece/p:BlocPiece/p:NatPce/@V='06' or p:Piece/p:BlocPiece/p:NatPce/@V='09' or p:Piece/p:BlocPiece/p:NatPce/@V='10')  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="104" valign="top" style="width:77.95pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <!--Nb(BordRec\
                                                             IdBord @V) avec (PiecRec\TypPce@V=02 et PiecRec\NatPce@V=06 ou 09 ou 10) -->
                    <xsl:value-of
                      select="count(./p:PES_RecetteAller/p:Bordereau/p:BlocBordereau/p:IdBord/@V[../../../p:Piece/p:BlocPiece/p:TypPce/@V='02' and (../../../p:Piece/p:BlocPiece/p:NatPce/@V='06' or ../../../p:Piece/p:BlocPiece/p:NatPce/@V='09' or ../../../p:Piece/p:BlocPiece/p:NatPce/@V='10')  ])"
                    />
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span style="font-size:10.0pt">Correctif \ Annulation\R&#233;duction </span>
                </p>
                <p class="Normal">
                  <span style="font-size:10.0pt">Correctif \ Annulant un mandat</span>
                </p>
                <p class="Normal">
                  <span style="font-size:10.0pt">Correctif \ Annulation un titre de
                  rattachement</span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[(p:Piece/p:BlocPiece/p:TypPce/@V='02' and (p:Piece/p:BlocPiece/p:NatPce/@V='06' or p:Piece/p:BlocPiece/p:NatPce/@V='09' or p:Piece/p:BlocPiece/p:NatPce/@V='10')) and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdRegie   ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.75pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[(p:Piece/p:BlocPiece/p:TypPce/@V='02' and (p:Piece/p:BlocPiece/p:NatPce/@V='06' or p:Piece/p:BlocPiece/p:NatPce/@V='09' or p:Piece/p:BlocPiece/p:NatPce/@V='10')) and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdActif   ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[(p:Piece/p:BlocPiece/p:TypPce/@V='02' and (p:Piece/p:BlocPiece/p:NatPce/@V='06' or p:Piece/p:BlocPiece/p:NatPce/@V='09' or p:Piece/p:BlocPiece/p:NatPce/@V='10')) and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdConv   ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[(p:Piece/p:BlocPiece/p:TypPce/@V='02' and (p:Piece/p:BlocPiece/p:NatPce/@V='06' or p:Piece/p:BlocPiece/p:NatPce/@V='09' or p:Piece/p:BlocPiece/p:NatPce/@V='10')) and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdEmpruntOrdo ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="94" valign="top" style="width:70.85pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[(p:Piece/p:BlocPiece/p:TypPce/@V='02' and (p:Piece/p:BlocPiece/p:NatPce/@V='06' or p:Piece/p:BlocPiece/p:NatPce/@V='09' or p:Piece/p:BlocPiece/p:NatPce/@V='10')) and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdEncaissement ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="94" valign="top" style="width:70.75pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[(p:Piece/p:BlocPiece/p:TypPce/@V='02' and (p:Piece/p:BlocPiece/p:NatPce/@V='06' or p:Piece/p:BlocPiece/p:NatPce/@V='09' or p:Piece/p:BlocPiece/p:NatPce/@V='10')) and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:RattachPiece/p:ExerRat/@V=$exercice  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="104" valign="top" style="width:77.95pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[(p:Piece/p:BlocPiece/p:TypPce/@V='02' and (p:Piece/p:BlocPiece/p:NatPce/@V='06' or p:Piece/p:BlocPiece/p:NatPce/@V='09' or p:Piece/p:BlocPiece/p:NatPce/@V='10')) and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:RattachPiece/p:ExerRat/@V=$exercice -1  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
            </tr>
            <tr>
              <td width="58" valign="top"
                style="width:43.5pt;
                                                 border-top:none;padding:0cm 3.5pt 0cm 3.5pt">
                <p class="Normal">
                  <span style="font-size:10.0pt">Recette</span>
                </p>
              </td>
              <td width="66" valign="top" style="width:49.65pt;">
                <p class="Normal">
                  <span style="font-size:10.0pt">EAE</span>
                </p>
              </td>
              <td width="95" valign="top" style="width:70.9pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[p:Piece/p:BlocPiece/p:TypPce/@V='05' and (p:Piece/p:BlocPiece/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:NatPce/@V='02'  or p:Piece/p:BlocPiece/p:NatPce/@V='03' or p:Piece/p:BlocPiece/p:NatPce/@V='04')  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="104" valign="top" style="width:77.95pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <!--Nb(BordRec\
                                                             IdBord @V) avec (PiecRec\TypPce@V=05 et PiecRec\NatPce@V=01 ou 02 ou 03 ou
                                                             04)-->
                    <xsl:value-of
                      select="count(./p:PES_RecetteAller/p:Bordereau/p:BlocBordereau/p:IdBord/@V[../../../p:Piece/p:BlocPiece/p:TypPce/@V='05' and (../../../p:Piece/p:BlocPiece/p:NatPce/@V='01' or ../../../p:Piece/p:BlocPiece/p:NatPce/@V='02'  or ../../../p:Piece/p:BlocPiece/p:NatPce/@V='03' or ../../../p:Piece/p:BlocPiece/p:NatPce/@V='04')  ])"
                    />
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span style="font-size:10.0pt">Emis apr&#232;s encaissement de toutes natures
                    sauf R&#233;gie</span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[(p:Piece/p:BlocPiece/p:TypPce/@V='05' and (p:Piece/p:BlocPiece/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:NatPce/@V='02'  or p:Piece/p:BlocPiece/p:NatPce/@V='03' or p:Piece/p:BlocPiece/p:NatPce/@V='04') ) and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdRegie  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.75pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[(p:Piece/p:BlocPiece/p:TypPce/@V='05' and (p:Piece/p:BlocPiece/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:NatPce/@V='02'  or p:Piece/p:BlocPiece/p:NatPce/@V='03' or p:Piece/p:BlocPiece/p:NatPce/@V='04') ) and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdActif  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[(p:Piece/p:BlocPiece/p:TypPce/@V='05' and (p:Piece/p:BlocPiece/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:NatPce/@V='02'  or p:Piece/p:BlocPiece/p:NatPce/@V='03' or p:Piece/p:BlocPiece/p:NatPce/@V='04') ) and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdConv  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[(p:Piece/p:BlocPiece/p:TypPce/@V='05' and (p:Piece/p:BlocPiece/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:NatPce/@V='02'  or p:Piece/p:BlocPiece/p:NatPce/@V='03' or p:Piece/p:BlocPiece/p:NatPce/@V='04') ) and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdEmpruntOrdo  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="94" valign="top" style="width:70.85pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[(p:Piece/p:BlocPiece/p:TypPce/@V='05' and (p:Piece/p:BlocPiece/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:NatPce/@V='02'  or p:Piece/p:BlocPiece/p:NatPce/@V='03' or p:Piece/p:BlocPiece/p:NatPce/@V='04') ) and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdEncaissement  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="94" valign="top" style="width:70.75pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[(p:Piece/p:BlocPiece/p:TypPce/@V='05' and (p:Piece/p:BlocPiece/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:NatPce/@V='02'  or p:Piece/p:BlocPiece/p:NatPce/@V='03' or p:Piece/p:BlocPiece/p:NatPce/@V='04') ) and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:RattachPiece/p:ExerRat/@V=$exercice  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="104" valign="top" style="width:77.95pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[(p:Piece/p:BlocPiece/p:TypPce/@V='05' and (p:Piece/p:BlocPiece/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:NatPce/@V='02'  or p:Piece/p:BlocPiece/p:NatPce/@V='03' or p:Piece/p:BlocPiece/p:NatPce/@V='04') ) and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:RattachPiece/p:ExerRat/@V=$exercice -1 ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
            </tr>
            <tr>
              <td width="58" valign="top"
                style="width:43.5pt;
                                                 border-top:none;padding:0cm 3.5pt 0cm 3.5pt">
                <p class="Normal">
                  <span style="font-size:10.0pt">Recette</span>
                </p>
              </td>
              <td width="66" valign="top" style="width:49.65pt;">
                <p class="Normal">
                  <span style="font-size:10.0pt">R&#233;gie</span>
                </p>
              </td>
              <td width="95" valign="top" style="width:70.9pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[(p:Piece/p:BlocPiece/p:TypPce/@V='01' or p:Piece/p:BlocPiece/p:TypPce/@V='05') and p:Piece/p:BlocPiece/p:NatPce/@V='05'  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="104" valign="top" style="width:77.95pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <!--Nb(BordRec\
                                                             IdBord @V) avec (PiecRec\TypPce@V=01 ou 05 et PiecRec\NatPce@V=05)-->
                    <xsl:value-of
                      select="count(./p:PES_RecetteAller/p:Bordereau/p:BlocBordereau/p:IdBord/@V[(../../../p:Piece/p:BlocPiece/p:TypPce/@V='01' or ../../../p:Piece/p:BlocPiece/p:TypPce/@V='05') and ../../../p:Piece/p:BlocPiece/p:NatPce/@V='05'  ])"
                    />
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span style="font-size:10.0pt">Ordinaire ou EAE \ R&#233;gie</span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[((p:Piece/p:BlocPiece/p:TypPce/@V='01' or p:Piece/p:BlocPiece/p:TypPce/@V='05') and p:Piece/p:BlocPiece/p:NatPce/@V='05' )  and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdRegie ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.75pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[((p:Piece/p:BlocPiece/p:TypPce/@V='01' or p:Piece/p:BlocPiece/p:TypPce/@V='05') and p:Piece/p:BlocPiece/p:NatPce/@V='05' )  and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdActif ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[((p:Piece/p:BlocPiece/p:TypPce/@V='01' or p:Piece/p:BlocPiece/p:TypPce/@V='05') and p:Piece/p:BlocPiece/p:NatPce/@V='05' )  and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdConv ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[((p:Piece/p:BlocPiece/p:TypPce/@V='01' or p:Piece/p:BlocPiece/p:TypPce/@V='05') and p:Piece/p:BlocPiece/p:NatPce/@V='05' )  and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdEmpruntOrdo ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="94" valign="top" style="width:70.85pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[((p:Piece/p:BlocPiece/p:TypPce/@V='01' or p:Piece/p:BlocPiece/p:TypPce/@V='05') and p:Piece/p:BlocPiece/p:NatPce/@V='05' )  and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdEncaissement ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="94" valign="top" style="width:70.75pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[((p:Piece/p:BlocPiece/p:TypPce/@V='01' or p:Piece/p:BlocPiece/p:TypPce/@V='05') and p:Piece/p:BlocPiece/p:NatPce/@V='05' )  and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:RattachPiece/p:ExerRat/@V=$exercice ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="104" valign="top" style="width:77.95pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[((p:Piece/p:BlocPiece/p:TypPce/@V='01' or p:Piece/p:BlocPiece/p:TypPce/@V='05') and p:Piece/p:BlocPiece/p:NatPce/@V='05' )  and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:RattachPiece/p:ExerRat/@V=$exercice -1 ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
            </tr>
            <tr>
              <td width="58" valign="top"
                style="width:43.5pt;
                                                 border-top:none;padding:0cm 3.5pt 0cm 3.5pt">
                <p class="Normal">
                  <span style="font-size:10.0pt">Recette</span>
                </p>
              </td>
              <td width="66" valign="top" style="width:49.65pt;">
                <p class="Normal">
                  <span style="font-size:10.0pt">March&#233;</span>
                </p>
              </td>
              <td width="95" valign="top" style="width:70.9pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[ p:Piece/p:BlocPiece/p:NatPce/@V='11' ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="104" valign="top" style="width:77.95pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <!--Nb(BordRec\
                                                             IdBord @V) avec (PiecRec\NatPce@V=11)-->
                    <xsl:value-of
                      select="count(./p:PES_RecetteAller/p:Bordereau/p:BlocBordereau/p:IdBord/@V[ ../../../p:Piece/p:BlocPiece/p:NatPce/@V='11' ])"
                    />
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span style="font-size:10.0pt">March&#233;</span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[ p:Piece/p:BlocPiece/p:NatPce/@V='11'  and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdRegie ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.75pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[ p:Piece/p:BlocPiece/p:NatPce/@V='11'  and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdActif ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[ p:Piece/p:BlocPiece/p:NatPce/@V='11'  and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdConv ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[ p:Piece/p:BlocPiece/p:NatPce/@V='11'  and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdEmpruntOrdo ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="94" valign="top" style="width:70.85pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[ p:Piece/p:BlocPiece/p:NatPce/@V='11'  and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdEncaissement ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="94" valign="top" style="width:70.75pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[ p:Piece/p:BlocPiece/p:NatPce/@V='11'  and p:Piece/p:LigneDePiece/p:BlocLignePiece/p:RattachPiece/p:ExerRat/@V=$exercice  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="104" valign="top" style="width:77.95pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[ p:Piece/p:BlocPiece/p:NatPce/@V='11'  and p:Piece/p:LigneDePiece/p:BlocLignePiece/p:RattachPiece/p:ExerRat/@V=$exercice -1  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
            </tr>
            <tr>
              <td width="58" valign="top"
                style="width:43.5pt;
                                                 border-top:none;padding:0cm 3.5pt 0cm 3.5pt">
                <p class="Normal">
                  <span style="font-size:10.0pt">Recette</span>
                </p>
              </td>
              <td width="66" valign="top" style="width:49.65pt;">
                <p class="Normal">
                  <span style="font-size:10.0pt">Inventaire \Emprunt</span>
                </p>
              </td>
              <td width="95" valign="top" style="width:70.9pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[p:Piece/p:BlocPiece/p:TypPce/@V='01' and (p:Piece/p:BlocPiece/p:NatPce/@V='03' or p:Piece/p:BlocPiece/p:NatPce/@V='04')  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="104" valign="top" style="width:77.95pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <!--Nb(BordRec\
                                                             IdBord @V) avec (PiecRec\TypPce@V=01 et PiecRec\NatPce@V=03 ou 04)-->
                    <xsl:value-of
                      select="count(./p:PES_RecetteAller/p:Bordereau/p:BlocBordereau/p:IdBord/@V[../../../p:Piece/p:BlocPiece/p:TypPce/@V='01' and (../../../p:Piece/p:BlocPiece/p:NatPce/@V='03' or ../../../p:Piece/p:BlocPiece/p:NatPce/@V='04')  ])"
                    />
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span style="font-size:10.0pt">Ordinaire \ Inventaire</span>
                </p>
                <p class="Normal">
                  <span style="font-size:10.0pt">Ordinaire \ Emprunt</span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[(p:Piece/p:BlocPiece/p:TypPce/@V='01' and (p:Piece/p:BlocPiece/p:NatPce/@V='03' or p:Piece/p:BlocPiece/p:NatPce/@V='04') )  and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdRegie  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.75pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[(p:Piece/p:BlocPiece/p:TypPce/@V='01' and (p:Piece/p:BlocPiece/p:NatPce/@V='03' or p:Piece/p:BlocPiece/p:NatPce/@V='04') )  and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdActif  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[(p:Piece/p:BlocPiece/p:TypPce/@V='01' and (p:Piece/p:BlocPiece/p:NatPce/@V='03' or p:Piece/p:BlocPiece/p:NatPce/@V='04') )  and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdConv  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[(p:Piece/p:BlocPiece/p:TypPce/@V='01' and (p:Piece/p:BlocPiece/p:NatPce/@V='03' or p:Piece/p:BlocPiece/p:NatPce/@V='04') )  and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdEmpruntOrdo  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="94" valign="top" style="width:70.85pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[(p:Piece/p:BlocPiece/p:TypPce/@V='01' and (p:Piece/p:BlocPiece/p:NatPce/@V='03' or p:Piece/p:BlocPiece/p:NatPce/@V='04') )  and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdEncaissement  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="94" valign="top" style="width:70.75pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[(p:Piece/p:BlocPiece/p:TypPce/@V='01' and (p:Piece/p:BlocPiece/p:NatPce/@V='03' or p:Piece/p:BlocPiece/p:NatPce/@V='04') )  and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:RattachPiece/p:ExerRat/@V=$exercice  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="104" valign="top" style="width:77.95pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[(p:Piece/p:BlocPiece/p:TypPce/@V='01' and (p:Piece/p:BlocPiece/p:NatPce/@V='03' or p:Piece/p:BlocPiece/p:NatPce/@V='04') )  and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:RattachPiece/p:ExerRat/@V=$exercice -1 ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
            </tr>
            <tr>
              <td width="58" valign="top"
                style="width:43.5pt;
                                                 border-top:none;padding:0cm 3.5pt 0cm 3.5pt">
                <p class="Normal">
                  <span style="font-size:10.0pt">Recette</span>
                </p>
              </td>
              <td width="66" valign="top" style="width:49.65pt;">
                <p class="Normal">
                  <span style="font-size:10.0pt">R&#233;capitulatif</span>
                </p>
              </td>
              <td width="95" valign="top" style="width:70.9pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[( (p:Piece/p:BlocPiece/p:TypPce/@V='06' or p:Piece/p:BlocPiece/p:TypPce/@V='07')  and p:Piece/p:BlocPiece/p:NatPce/@V='01' ) or (p:Piece/p:BlocPiece/p:TypPce/@V='06'  and p:Piece/p:BlocPiece/p:NatPce/@V='06' ) ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="104" valign="top" style="width:77.95pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <!--Nb(BordRec\
                                                             IdBord @V) avec (PiecRec\TypPce@V=06 ou 07 et PiecRec\NatPce@V=01)Ou
                                                             (PiecRec\TypPce@V=06 et PiecRec\NatPce@V=06)-->
                    <xsl:value-of
                      select="count(./p:PES_RecetteAller/p:Bordereau/p:BlocBordereau/p:IdBord/@V[( (../../../p:Piece/p:BlocPiece/p:TypPce/@V='06' or ../../../p:Piece/p:BlocPiece/p:TypPce/@V='07')  and ../../../p:Piece/p:BlocPiece/p:NatPce/@V='01' ) or (../../../p:Piece/p:BlocPiece/p:TypPce/@V='06'  and ../../../p:Piece/p:BlocPiece/p:NatPce/@V='06' ) ])"
                    />
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span style="font-size:10.0pt">R&#233;capitulatif avec ou sans R&#244;le</span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[(( (p:Piece/p:BlocPiece/p:TypPce/@V='06' or p:Piece/p:BlocPiece/p:TypPce/@V='07')  and p:Piece/p:BlocPiece/p:NatPce/@V='01' ) or (p:Piece/p:BlocPiece/p:TypPce/@V='06'  and p:Piece/p:BlocPiece/p:NatPce/@V='06' ) )  and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdRegie ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.75pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[(( (p:Piece/p:BlocPiece/p:TypPce/@V='06' or p:Piece/p:BlocPiece/p:TypPce/@V='07')  and p:Piece/p:BlocPiece/p:NatPce/@V='01' ) or (p:Piece/p:BlocPiece/p:TypPce/@V='06'  and p:Piece/p:BlocPiece/p:NatPce/@V='06' ) )  and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdActif ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[(( (p:Piece/p:BlocPiece/p:TypPce/@V='06' or p:Piece/p:BlocPiece/p:TypPce/@V='07')  and p:Piece/p:BlocPiece/p:NatPce/@V='01' ) or (p:Piece/p:BlocPiece/p:TypPce/@V='06'  and p:Piece/p:BlocPiece/p:NatPce/@V='06' ) )  and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdConv ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[(( (p:Piece/p:BlocPiece/p:TypPce/@V='06' or p:Piece/p:BlocPiece/p:TypPce/@V='07')  and p:Piece/p:BlocPiece/p:NatPce/@V='01' ) or (p:Piece/p:BlocPiece/p:TypPce/@V='06'  and p:Piece/p:BlocPiece/p:NatPce/@V='06' ) )  and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdEmpruntOrdo ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="94" valign="top" style="width:70.85pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[(( (p:Piece/p:BlocPiece/p:TypPce/@V='06' or p:Piece/p:BlocPiece/p:TypPce/@V='07')  and p:Piece/p:BlocPiece/p:NatPce/@V='01' ) or (p:Piece/p:BlocPiece/p:TypPce/@V='06'  and p:Piece/p:BlocPiece/p:NatPce/@V='06' ) )  and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdEncaissement ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="94" valign="top" style="width:70.75pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[(( (p:Piece/p:BlocPiece/p:TypPce/@V='06' or p:Piece/p:BlocPiece/p:TypPce/@V='07')  and p:Piece/p:BlocPiece/p:NatPce/@V='01' ) or (p:Piece/p:BlocPiece/p:TypPce/@V='06'  and p:Piece/p:BlocPiece/p:NatPce/@V='06' ) )  and p:Piece/p:LigneDePiece/p:BlocLignePiece/p:RattachPiece/p:ExerRat/@V=$exercice ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="104" valign="top" style="width:77.95pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[(( (p:Piece/p:BlocPiece/p:TypPce/@V='06' or p:Piece/p:BlocPiece/p:TypPce/@V='07')  and p:Piece/p:BlocPiece/p:NatPce/@V='01' ) or (p:Piece/p:BlocPiece/p:TypPce/@V='06'  and p:Piece/p:BlocPiece/p:NatPce/@V='06' ) )  and p:Piece/p:LigneDePiece/p:BlocLignePiece/p:RattachPiece/p:ExerRat/@V=$exercice -1 ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
            </tr>
            <tr>
              <td width="58" valign="top"
                style="width:43.5pt;
                                                 border-top:none;padding:0cm 3.5pt 0cm 3.5pt">
                <p class="Normal">
                  <span style="font-size:10.0pt">Recette</span>
                </p>
              </td>
              <td width="66" valign="top" style="width:49.65pt;">
                <p class="Normal">
                  <span style="font-size:10.0pt">Majoration</span>
                </p>
              </td>
              <td width="95" valign="top" style="width:70.9pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[p:Piece/p:BlocPiece/p:TypPce/@V='09' and (p:Piece/p:BlocPiece/p:NatPce/@V='01')  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="104" valign="top" style="width:77.95pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <!--Nb(BordRec\
                                                             IdBord @V) avec (PiecRec\TypPce@V=09 et PiecRec\NatPce@V=01)-->
                    <xsl:value-of
                      select="count(./p:PES_RecetteAller/p:Bordereau/p:BlocBordereau/p:IdBord/@V[../../../p:Piece/p:BlocPiece/p:TypPce/@V='09' and (../../../p:Piece/p:BlocPiece/p:NatPce/@V='01')  ])"
                    />
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span style="font-size:10.0pt">Majoration \ Fonctionnement</span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[(p:Piece/p:BlocPiece/p:TypPce/@V='09' and (p:Piece/p:BlocPiece/p:NatPce/@V='01')  )  and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdRegie ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.75pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[(p:Piece/p:BlocPiece/p:TypPce/@V='09' and (p:Piece/p:BlocPiece/p:NatPce/@V='01')  )  and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdActif ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[(p:Piece/p:BlocPiece/p:TypPce/@V='09' and (p:Piece/p:BlocPiece/p:NatPce/@V='01')  )  and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdConv ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[(p:Piece/p:BlocPiece/p:TypPce/@V='09' and (p:Piece/p:BlocPiece/p:NatPce/@V='01')  )  and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdEmpruntOrdo ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="94" valign="top" style="width:70.85pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[(p:Piece/p:BlocPiece/p:TypPce/@V='09' and (p:Piece/p:BlocPiece/p:NatPce/@V='01')  )  and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdEncaissement ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="94" valign="top" style="width:70.75pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[(p:Piece/p:BlocPiece/p:TypPce/@V='09' and (p:Piece/p:BlocPiece/p:NatPce/@V='01')  )  and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:RattachPiece/p:ExerRat/@V=$exercice  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="104" valign="top" style="width:77.95pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[(p:Piece/p:BlocPiece/p:TypPce/@V='09' and (p:Piece/p:BlocPiece/p:NatPce/@V='01')  )  and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:RattachPiece/p:ExerRat/@V=$exercice -1  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
            </tr>
            <tr>
              <td width="58" valign="top"
                style="width:43.5pt;
                                                 border-top:none;padding:0cm 3.5pt 0cm 3.5pt">
                <p class="Normal">
                  <span style="font-size:10.0pt">Recette</span>
                </p>
              </td>
              <td width="66" valign="top" style="width:49.65pt;">
                <p class="Normal">
                  <span style="font-size:10.0pt">Rattachement</span>
                </p>
              </td>
              <td width="95" valign="top" style="width:70.9pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[p:Piece/p:BlocPiece/p:TypPce/@V='11' and (p:Piece/p:BlocPiece/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:NatPce/@V='02' or p:Piece/p:BlocPiece/p:NatPce/@V='04')  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="104" valign="top" style="width:77.95pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <!--Nb(BordRec\
                                                             IdBord @V) avec (PiecRec\TypPce@V=11 et PiecRec\NatPce@V=01 ou 02 ou 04)-->
                    <xsl:value-of
                      select="count(./p:PES_RecetteAller/p:Bordereau/p:BlocBordereau/p:IdBord/@V[../../../p:Piece/p:BlocPiece/p:TypPce/@V='11' and (../../../p:Piece/p:BlocPiece/p:NatPce/@V='01' or ../../../p:Piece/p:BlocPiece/p:NatPce/@V='02' or ../../../p:Piece/p:BlocPiece/p:NatPce/@V='04')  ])"
                    />
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span style="font-size:10.0pt">Rattachement de toutes natures</span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[(p:Piece/p:BlocPiece/p:TypPce/@V='11' and (p:Piece/p:BlocPiece/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:NatPce/@V='02' or p:Piece/p:BlocPiece/p:NatPce/@V='04')) and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdRegie ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.75pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[(p:Piece/p:BlocPiece/p:TypPce/@V='11' and (p:Piece/p:BlocPiece/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:NatPce/@V='02' or p:Piece/p:BlocPiece/p:NatPce/@V='04')) and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdActif ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[(p:Piece/p:BlocPiece/p:TypPce/@V='11' and (p:Piece/p:BlocPiece/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:NatPce/@V='02' or p:Piece/p:BlocPiece/p:NatPce/@V='04')) and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdConv ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[(p:Piece/p:BlocPiece/p:TypPce/@V='11' and (p:Piece/p:BlocPiece/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:NatPce/@V='02' or p:Piece/p:BlocPiece/p:NatPce/@V='04')) and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdEmpruntOrdo ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="94" valign="top" style="width:70.85pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[(p:Piece/p:BlocPiece/p:TypPce/@V='11' and (p:Piece/p:BlocPiece/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:NatPce/@V='02' or p:Piece/p:BlocPiece/p:NatPce/@V='04')) and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdEncaissement ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="94" valign="top" style="width:70.75pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[(p:Piece/p:BlocPiece/p:TypPce/@V='11' and (p:Piece/p:BlocPiece/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:NatPce/@V='02' or p:Piece/p:BlocPiece/p:NatPce/@V='04')) and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:RattachPiece/p:ExerRat/@V=$exercice  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="104" valign="top" style="width:77.95pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[(p:Piece/p:BlocPiece/p:TypPce/@V='11' and (p:Piece/p:BlocPiece/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:NatPce/@V='02' or p:Piece/p:BlocPiece/p:NatPce/@V='04')) and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:RattachPiece/p:ExerRat/@V=$exercice  - 1]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
            </tr>
            <tr>
              <td width="58" valign="top"
                style="width:43.5pt;
                                                 border-top:none;padding:0cm 3.5pt 0cm 3.5pt">
                <p class="Normal">
                  <span style="font-size:10.0pt">Recette</span>
                </p>
              </td>
              <td width="66" valign="top" style="width:49.65pt;">
                <p class="Normal">
                  <span style="font-size:10.0pt">Fin d'exercice</span>
                </p>
              </td>
              <td width="95" valign="top" style="width:70.9pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[ (p:Piece/p:BlocPiece/p:TypPce/@V='03' and (p:Piece/p:BlocPiece/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:NatPce/@V='02' or p:Piece/p:BlocPiece/p:NatPce/@V='03' or p:Piece/p:BlocPiece/p:NatPce/@V='04' or p:Piece/p:BlocPiece/p:NatPce/@V='18')) or (p:Piece/p:BlocPiece/p:TypPce/@V='04' and (p:Piece/p:BlocPiece/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:NatPce/@V='02' or p:Piece/p:BlocPiece/p:NatPce/@V='03' or p:Piece/p:BlocPiece/p:NatPce/@V='04' or p:Piece/p:BlocPiece/p:NatPce/@V='06')) or (p:Piece/p:BlocPiece/p:TypPce/@V='14' and (p:Piece/p:BlocPiece/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:NatPce/@V='06' ))  or (p:Piece/p:BlocPiece/p:TypPce/@V='01' and (p:Piece/p:BlocPiece/p:NatPce/@V='18' )) ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="104" valign="top" style="width:77.95pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <!--Nb(BordRec\
                                                             IdBord @V) avec (PiecRec\TypPce@V=03 et PiecRec\NatPce@V=01 ou 02 ou 03 ou
                                                             04 ou 18) Ou
                                                             (PiecRec\TypPce@V=04 et PiecRec\NatPce@V=01 ou 02 ou 03 ou 04 ou 06)
                                                             Ou
                                                             (PiecRec\TypPce@V=14 et PiecRec\NatPce@V=01 ou 06) Ou
                                                             (PiecRec\TypPce@V=01 et PiecRec\NatPce@V=18)-->
                    <xsl:value-of
                      select="count(./p:PES_RecetteAller/p:Bordereau/p:BlocBordereau/p:IdBord/@V[ (../../../p:Piece/p:BlocPiece/p:TypPce/@V='03' and (../../../p:Piece/p:BlocPiece/p:NatPce/@V='01' or ../../../p:Piece/p:BlocPiece/p:NatPce/@V='02' or ../../../p:Piece/p:BlocPiece/p:NatPce/@V='03' or ../../../p:Piece/p:BlocPiece/p:NatPce/@V='04' or ../../../p:Piece/p:BlocPiece/p:NatPce/@V='18')) or (../../../p:Piece/p:BlocPiece/p:TypPce/@V='04' and (../../../p:Piece/p:BlocPiece/p:NatPce/@V='01' or ../../../p:Piece/p:BlocPiece/p:NatPce/@V='02' or ../../../p:Piece/p:BlocPiece/p:NatPce/@V='03' or ../../../p:Piece/p:BlocPiece/p:NatPce/@V='04' or ../../../p:Piece/p:BlocPiece/p:NatPce/@V='06')) or (../../../p:Piece/p:BlocPiece/p:TypPce/@V='14' and (../../../p:Piece/p:BlocPiece/p:NatPce/@V='01' or ../../../p:Piece/p:BlocPiece/p:NatPce/@V='06' ))  or (../../../p:Piece/p:BlocPiece/p:TypPce/@V='01' and (../../../p:Piece/p:BlocPiece/p:NatPce/@V='18' )) ])"
                    />
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span style="font-size:10.0pt">Ordre budg&#233;taire, Ordre mixte, Produit
                    constat&#233; d'avance de toutes nature<br/> Ordinaire \ Cession</span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[( (p:Piece/p:BlocPiece/p:TypPce/@V='03' and (p:Piece/p:BlocPiece/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:NatPce/@V='02' or p:Piece/p:BlocPiece/p:NatPce/@V='03' or p:Piece/p:BlocPiece/p:NatPce/@V='04' or p:Piece/p:BlocPiece/p:NatPce/@V='18')) or (p:Piece/p:BlocPiece/p:TypPce/@V='04' and (p:Piece/p:BlocPiece/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:NatPce/@V='02' or p:Piece/p:BlocPiece/p:NatPce/@V='03' or p:Piece/p:BlocPiece/p:NatPce/@V='04' or p:Piece/p:BlocPiece/p:NatPce/@V='06')) or (p:Piece/p:BlocPiece/p:TypPce/@V='14' and (p:Piece/p:BlocPiece/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:NatPce/@V='06' ))  or (p:Piece/p:BlocPiece/p:TypPce/@V='01' and (p:Piece/p:BlocPiece/p:NatPce/@V='18' )))  and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdRegie  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.75pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[( (p:Piece/p:BlocPiece/p:TypPce/@V='03' and (p:Piece/p:BlocPiece/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:NatPce/@V='02' or p:Piece/p:BlocPiece/p:NatPce/@V='03' or p:Piece/p:BlocPiece/p:NatPce/@V='04' or p:Piece/p:BlocPiece/p:NatPce/@V='18')) or (p:Piece/p:BlocPiece/p:TypPce/@V='04' and (p:Piece/p:BlocPiece/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:NatPce/@V='02' or p:Piece/p:BlocPiece/p:NatPce/@V='03' or p:Piece/p:BlocPiece/p:NatPce/@V='04' or p:Piece/p:BlocPiece/p:NatPce/@V='06')) or (p:Piece/p:BlocPiece/p:TypPce/@V='14' and (p:Piece/p:BlocPiece/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:NatPce/@V='06' ))  or (p:Piece/p:BlocPiece/p:TypPce/@V='01' and (p:Piece/p:BlocPiece/p:NatPce/@V='18' )))  and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdActif  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[( (p:Piece/p:BlocPiece/p:TypPce/@V='03' and (p:Piece/p:BlocPiece/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:NatPce/@V='02' or p:Piece/p:BlocPiece/p:NatPce/@V='03' or p:Piece/p:BlocPiece/p:NatPce/@V='04' or p:Piece/p:BlocPiece/p:NatPce/@V='18')) or (p:Piece/p:BlocPiece/p:TypPce/@V='04' and (p:Piece/p:BlocPiece/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:NatPce/@V='02' or p:Piece/p:BlocPiece/p:NatPce/@V='03' or p:Piece/p:BlocPiece/p:NatPce/@V='04' or p:Piece/p:BlocPiece/p:NatPce/@V='06')) or (p:Piece/p:BlocPiece/p:TypPce/@V='14' and (p:Piece/p:BlocPiece/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:NatPce/@V='06' ))  or (p:Piece/p:BlocPiece/p:TypPce/@V='01' and (p:Piece/p:BlocPiece/p:NatPce/@V='18' )))  and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdConv ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[( (p:Piece/p:BlocPiece/p:TypPce/@V='03' and (p:Piece/p:BlocPiece/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:NatPce/@V='02' or p:Piece/p:BlocPiece/p:NatPce/@V='03' or p:Piece/p:BlocPiece/p:NatPce/@V='04' or p:Piece/p:BlocPiece/p:NatPce/@V='18')) or (p:Piece/p:BlocPiece/p:TypPce/@V='04' and (p:Piece/p:BlocPiece/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:NatPce/@V='02' or p:Piece/p:BlocPiece/p:NatPce/@V='03' or p:Piece/p:BlocPiece/p:NatPce/@V='04' or p:Piece/p:BlocPiece/p:NatPce/@V='06')) or (p:Piece/p:BlocPiece/p:TypPce/@V='14' and (p:Piece/p:BlocPiece/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:NatPce/@V='06' ))  or (p:Piece/p:BlocPiece/p:TypPce/@V='01' and (p:Piece/p:BlocPiece/p:NatPce/@V='18' )))  and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdEmpruntOrdo ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="94" valign="top" style="width:70.85pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[( (p:Piece/p:BlocPiece/p:TypPce/@V='03' and (p:Piece/p:BlocPiece/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:NatPce/@V='02' or p:Piece/p:BlocPiece/p:NatPce/@V='03' or p:Piece/p:BlocPiece/p:NatPce/@V='04' or p:Piece/p:BlocPiece/p:NatPce/@V='18')) or (p:Piece/p:BlocPiece/p:TypPce/@V='04' and (p:Piece/p:BlocPiece/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:NatPce/@V='02' or p:Piece/p:BlocPiece/p:NatPce/@V='03' or p:Piece/p:BlocPiece/p:NatPce/@V='04' or p:Piece/p:BlocPiece/p:NatPce/@V='06')) or (p:Piece/p:BlocPiece/p:TypPce/@V='14' and (p:Piece/p:BlocPiece/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:NatPce/@V='06' ))  or (p:Piece/p:BlocPiece/p:TypPce/@V='01' and (p:Piece/p:BlocPiece/p:NatPce/@V='18' )))  and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdEncaissement ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="94" valign="top" style="width:70.75pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[( (p:Piece/p:BlocPiece/p:TypPce/@V='03' and (p:Piece/p:BlocPiece/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:NatPce/@V='02' or p:Piece/p:BlocPiece/p:NatPce/@V='03' or p:Piece/p:BlocPiece/p:NatPce/@V='04' or p:Piece/p:BlocPiece/p:NatPce/@V='18')) or (p:Piece/p:BlocPiece/p:TypPce/@V='04' and (p:Piece/p:BlocPiece/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:NatPce/@V='02' or p:Piece/p:BlocPiece/p:NatPce/@V='03' or p:Piece/p:BlocPiece/p:NatPce/@V='04' or p:Piece/p:BlocPiece/p:NatPce/@V='06')) or (p:Piece/p:BlocPiece/p:TypPce/@V='14' and (p:Piece/p:BlocPiece/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:NatPce/@V='06' ))  or (p:Piece/p:BlocPiece/p:TypPce/@V='01' and (p:Piece/p:BlocPiece/p:NatPce/@V='18' ))) and p:Piece/p:LigneDePiece/p:BlocLignePiece/p:RattachPiece/p:ExerRat/@V=$exercice ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="104" valign="top" style="width:77.95pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau[( (p:Piece/p:BlocPiece/p:TypPce/@V='03' and (p:Piece/p:BlocPiece/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:NatPce/@V='02' or p:Piece/p:BlocPiece/p:NatPce/@V='03' or p:Piece/p:BlocPiece/p:NatPce/@V='04' or p:Piece/p:BlocPiece/p:NatPce/@V='18')) or (p:Piece/p:BlocPiece/p:TypPce/@V='04' and (p:Piece/p:BlocPiece/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:NatPce/@V='02' or p:Piece/p:BlocPiece/p:NatPce/@V='03' or p:Piece/p:BlocPiece/p:NatPce/@V='04' or p:Piece/p:BlocPiece/p:NatPce/@V='06')) or (p:Piece/p:BlocPiece/p:TypPce/@V='14' and (p:Piece/p:BlocPiece/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:NatPce/@V='06' ))  or (p:Piece/p:BlocPiece/p:TypPce/@V='01' and (p:Piece/p:BlocPiece/p:NatPce/@V='18' ))) and p:Piece/p:LigneDePiece/p:BlocLignePiece/p:RattachPiece/p:ExerRat/@V=$exercice -1]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
            </tr>
            <tr>
              <td width="58" valign="top"
                style="width:43.5pt;
                                                 border-top:none;padding:0cm 3.5pt 0cm 3.5pt">
                <p class="Normal">
                  <span style="font-size:10.0pt">D&#233;pense</span>
                </p>
              </td>
              <td width="66" valign="top" style="width:49.65pt;">
                <p class="Normal">
                  <span style="font-size:10.0pt">Ordinaire</span>
                </p>
              </td>
              <td width="95" valign="top" style="width:70.9pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='01' and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02')  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="104" valign="top" style="width:77.95pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <!--Nb(BordDep\
                                                             IdBord @V) avec (PiecDep\TypPce@V= 01 et PiecDep\NatPce@V=01 ou 02)-->
                    <xsl:value-of
                      select="count(./p:PES_DepenseAller/p:Bordereau/p:BlocBordereau/p:IdBord/@V[../../../p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='01' and (../../../p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or ../../../p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02') ])"
                    />
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span style="font-size:10.0pt">Ordinaire \ Fonctionnement</span>
                </p>
                <p class="Normal">
                  <span style="font-size:10.0pt">Ordinaire \ Investissement</span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='01' and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02') and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdRegie  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.75pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='01' and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02') and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdActif  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='01' and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02') and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdConv  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='01' and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02') and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdEmpruntOrdo  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="94" valign="top" style="width:70.85pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='01' and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02') and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:RattachPiece/p:NatPceOrig/@V ='03'  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="94" valign="top" style="width:70.75pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='01' and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02') and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:RattachPiece/p:ExerRat/@V=$exercice   ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="104" valign="top" style="width:77.95pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='01' and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02') and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:RattachPiece/p:ExerRat/@V=$exercice  - 1 ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
            </tr>
            <tr>
              <td width="58" valign="top"
                style="width:43.5pt;
                                                 border-top:none;padding:0cm 3.5pt 0cm 3.5pt">
                <p class="Normal">
                  <span style="font-size:10.0pt">D&#233;pense</span>
                </p>
              </td>
              <td width="66" valign="top" style="width:49.65pt;">
                <p class="Normal">
                  <span style="font-size:10.0pt">Correction \Annulation</span>
                </p>
              </td>
              <td width="95" valign="top" style="width:70.9pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='02' and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='06'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='09'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='10')  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="104" valign="top" style="width:77.95pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <!--Nb(BordDep\
                                                             IdBord @V) avec (PiecDep\TypPce@V=02 et PiecDep\NatPce@V=06 ou 09 ou 10) -->
                    <xsl:value-of
                      select="count(./p:PES_DepenseAller/p:Bordereau/p:BlocBordereau/p:IdBord/@V[../../../p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='02' and (../../../p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02' or ../../../p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='06'  or ../../../p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='09'  or ../../../p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='10')] )"
                    />
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span style="font-size:10.0pt">Correctif \ Annulation\R&#233;duction annulant
                    un titre, Annulation du mandat de rattachement</span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='02' and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='06'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='09'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='10') and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdRegie  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.75pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='02' and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='06'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='09'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='10') and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdActif  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='02' and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='06'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='09'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='10') and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdConv  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='02' and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='06'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='09'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='10') and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdEmpruntOrdo  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="94" valign="top" style="width:70.85pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='02' and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='06'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='09'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='10') and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:RattachPiece/p:NatPceOrig/@V ='03'  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="94" valign="top" style="width:70.75pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='02' and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='06'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='09'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='10') and    p:Piece/p:LigneDePiece/p:BlocLignePiece/p:RattachPiece/p:ExerRat/@V=$exercice  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="104" valign="top" style="width:77.95pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='02' and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='06'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='09'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='10') and    p:Piece/p:LigneDePiece/p:BlocLignePiece/p:RattachPiece/p:ExerRat/@V=$exercice -1 ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
            </tr>
            <tr>
              <td width="58" valign="top"
                style="width:43.5pt;
                                                 border-top:none;padding:0cm 3.5pt 0cm 3.5pt">
                <p class="Normal">
                  <span style="font-size:10.0pt">D&#233;pense</span>
                </p>
              </td>
              <td width="66" valign="top" style="width:49.65pt;">
                <p class="Normal">
                  <span style="font-size:10.0pt">EAP</span>
                </p>
              </td>
              <td width="95" valign="top" style="width:70.9pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='05' and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='03'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='04')  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="104" valign="top" style="width:77.95pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <!--Nb(BordDep\
                                                             IdBord @V) avec (PiecDep\TypPce@V=05 et PiecDep\NatPce@V=01 ou 02 ou 03 ou
                                                             04) -->
                    <xsl:value-of
                      select="count(./p:PES_DepenseAller/p:Bordereau/p:BlocBordereau/p:IdBord/@V[../../../p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='05' and (../../../p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or ../../../p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02'  or ../../../p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='03'  or ../../../p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='04')  ])"
                    />
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span style="font-size:10.0pt">Emis apr&#232;s paiement de toutes natures sauf
                    R&#233;gie</span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='05' and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='03'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='04') and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdRegie  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.75pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='05' and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='03'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='04') and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdActif  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='05' and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='03'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='04') and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdConv  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='05' and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='03'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='04') and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdEmpruntOrdo  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="94" valign="top" style="width:70.85pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='05' and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='03'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='04') and    p:Piece/p:LigneDePiece/p:BlocLignePiece/p:RattachPiece/p:NatPceOrig/@V ='03'    ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="94" valign="top" style="width:70.75pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='05' and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='03'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='04') and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:RattachPiece/p:ExerRat/@V=$exercice     ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="104" valign="top" style="width:77.95pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='05' and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='03'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='04') and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:RattachPiece/p:ExerRat/@V=$exercice  -1   ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
            </tr>
            <tr>
              <td width="58" valign="top"
                style="width:43.5pt;
                                                 border-top:none;padding:0cm 3.5pt 0cm 3.5pt">
                <p class="Normal">
                  <span style="font-size:10.0pt">D&#233;pense</span>
                </p>
              </td>
              <td width="66" valign="top" style="width:49.65pt;">
                <p class="Normal">
                  <span style="font-size:10.0pt">Fin d'exercice</span>
                </p>
              </td>
              <td width="95" valign="top" style="width:70.9pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[ ( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='03' and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='03'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='04'   or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='18') ) or  ( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='04' and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='03'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='04'   or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='06') )  or ( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='13' and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='06') )]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="104" valign="top" style="width:77.95pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <!--Nb(BordDep\
                                                             IdBord @V) avec (PiecDep\TypPce@V=03 et PiecDep\NatPce@V=01 ou 02 ou 03 ou
                                                             04 ou 18 ) Ou
                                                             (PiecDep\TypPce@V=04 et PiecDep\NatPce@V=01 ou 02 ou 03 ou 04 ou 06) Ou
                                                             (PiecDep\TypPce@V=13 et PiecDep\NatPce@V=01 ou 06)
                                                         -->
                    <xsl:value-of
                      select="count(./p:PES_DepenseAller/p:Bordereau/p:BlocBordereau/p:IdBord/@V[ ( ../../../p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='03' and (../../../p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or ../../../p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02'  or ../../../p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='03'  or ../../../p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='04'   or ../../../p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='18') ) or  ( ../../../p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='04' and (../../../p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or ../../../p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02'  or ../../../p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='03'  or ../../../p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='04'   or ../../../p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='06') )  or ( ../../../p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='13' and (../../../p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or ../../../p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='06') )])"
                    />
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span style="font-size:10.0pt">Ordre budg&#233;taire, Ordre mixte, Charge
                    constat&#233;e d'avance de toutes natures</span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[ ( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='03' and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='03'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='04'   or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='18') ) or  ( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='04' and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='03'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='04'   or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='06') )  or ( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='13' and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='06') ) and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdRegie ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.75pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[ ( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='03' and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='03'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='04'   or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='18') ) or  ( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='04' and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='03'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='04'   or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='06') )  or ( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='13' and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='06') ) and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdActif ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[ ( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='03' and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='03'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='04'   or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='18') ) or  ( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='04' and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='03'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='04'   or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='06') )  or ( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='13' and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='06') ) and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdConv ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[ ( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='03' and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='03'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='04'   or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='18') ) or  ( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='04' and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='03'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='04'   or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='06') )  or ( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='13' and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='06') ) and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdEmpruntOrdo ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="94" valign="top" style="width:70.85pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[ ( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='03' and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='03'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='04'   or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='18') ) or  ( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='04' and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='03'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='04'   or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='06') )  or ( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='13' and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='06') ) and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:RattachPiece/p:NatPceOrig/@V ='03'  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="94" valign="top" style="width:70.75pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[ ( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='03' and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='03'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='04'   or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='18') ) or  ( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='04' and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='03'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='04'   or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='06') )  or ( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='13' and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='06') )  and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:RattachPiece/p:ExerRat/@V=$exercice  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="104" valign="top" style="width:77.95pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[ ( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='03' and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='03'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='04'   or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='18') ) or  ( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='04' and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='03'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='04'   or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='06') )  or ( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='13' and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='06') )  and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:RattachPiece/p:ExerRat/@V=$exercice -1 ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
            </tr>
            <tr>
              <td width="58" valign="top"
                style="width:43.5pt;
                                                 border-top:none;padding:0cm 3.5pt 0cm 3.5pt">
                <p class="Normal">
                  <span style="font-size:10.0pt">D&#233;pense</span>
                </p>
              </td>
              <td width="66" valign="top" style="width:49.65pt;">
                <p class="Normal">
                  <span style="font-size:10.0pt">Collectif</span>
                </p>
              </td>
              <td width="95" valign="top" style="width:70.9pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='08' and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02')  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="104" valign="top" style="width:77.95pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <!--Nb(BordDep\
                                                             IdBord @V) avec (PiecDep\TypPce@V=08 et PiecDep\NatPce@V=01 ou 02) -->
                    <xsl:value-of
                      select="count(./p:PES_DepenseAller/p:Bordereau/p:BlocBordereau/p:IdBord/@V[../../../p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='08' and (../../../p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or ../../../p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02')  ])"
                    />
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span style="font-size:10.0pt">Collectif de toutes natures sauf Paie</span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='08' and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02')  and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdRegie  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.75pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='08' and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02')  and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdActif ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='08' and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02')  and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdConv ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='08' and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02')  and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdEmpruntOrdo ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="94" valign="top" style="width:70.85pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='08' and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02')  and    p:Piece/p:LigneDePiece/p:BlocLignePiece/p:RattachPiece/p:NatPceOrig/@V ='03' ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="94" valign="top" style="width:70.75pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='08' and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02')  and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:RattachPiece/p:ExerRat/@V=$exercice ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="104" valign="top" style="width:77.95pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='08' and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02')  and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:RattachPiece/p:ExerRat/@V=$exercice -1 ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
            </tr>
            <tr>
              <td width="58" valign="top"
                style="width:43.5pt;
                                                 border-top:none;padding:0cm 3.5pt 0cm 3.5pt">
                <p class="Normal">
                  <span style="font-size:10.0pt">D&#233;pense</span>
                </p>
              </td>
              <td width="66" valign="top" style="width:49.65pt;">
                <p class="Normal">
                  <span style="font-size:10.0pt">Paie</span>
                </p>
              </td>
              <td width="95" valign="top" style="width:70.9pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='01'or p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='08') and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='11' )  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="104" valign="top" style="width:77.95pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <!-- Nb(BordDep\
                                                              IdBord @V) avec (PiecDep\TypPce@V=01 ou 08 et PiecDep\NatPce@V=11)-->
                    <xsl:value-of
                      select="count(./p:PES_DepenseAller/p:Bordereau/p:BlocBordereau/p:IdBord/@V[( ../../../p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='01'or ../../../p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='08') and (../../../p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='11' )  ])"
                    />
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span style="font-size:10.0pt">Ordinaire \ Paie<br/> Collectif \ Paie</span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='01'or p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='08') and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='11' )  and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdRegie ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.75pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='01'or p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='08') and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='11' )  and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdActif ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='01'or p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='08') and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='11' )  and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdConv ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='01'or p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='08') and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='11' )  and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdEmpruntOrdo]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="94" valign="top" style="width:70.85pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='01'or p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='08') and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='11' )  and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:RattachPiece/p:NatPceOrig/@V ='03' ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="94" valign="top" style="width:70.75pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='01'or p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='08') and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='11' )  and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:RattachPiece/p:ExerRat/@V=$exercice  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="104" valign="top" style="width:77.95pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='01'or p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='08') and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='11' )  and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:RattachPiece/p:ExerRat/@V=$exercice -1 ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
            </tr>
            <tr>
              <td width="58" valign="top"
                style="width:43.5pt;
                                                 border-top:none;padding:0cm 3.5pt 0cm 3.5pt">
                <p class="Normal">
                  <span style="font-size:10.0pt">D&#233;pense</span>
                </p>
              </td>
              <td width="66" valign="top" style="width:49.65pt;">
                <p class="Normal">
                  <span style="font-size:10.0pt">Inventaire \Emprunt</span>
                </p>
              </td>
              <td width="95" valign="top" style="width:70.9pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='01' ) and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='03'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='04')  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="104" valign="top" style="width:77.95pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <!--Nb(BordDep\
                                                             IdBord @V) avec (PiecDep\TypPce@V=01 et PiecDep\NatPce@V=03 ou 04)-->
                    <xsl:value-of
                      select="count(./p:PES_DepenseAller/p:Bordereau/p:BlocBordereau/p:IdBord/@V[( ../../../p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='01' ) and (../../../p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='03'  or ../../../p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='04')  ])"
                    />
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span style="font-size:10.0pt">Ordinaire \ Inventaire</span>
                </p>
                <p class="Normal">
                  <span style="font-size:10.0pt">Ordinaire \ emprunt</span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='01' ) and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='03'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='04')   and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdRegie  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.75pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='01' ) and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='03'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='04')   and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdActif  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='01' ) and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='03'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='04')   and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdConv  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='01' ) and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='03'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='04')   and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdEmpruntOrdo  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="94" valign="top" style="width:70.85pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='01' ) and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='03'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='04')   and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:RattachPiece/p:NatPceOrig/@V ='03'  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="94" valign="top" style="width:70.75pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='01' ) and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='03'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='04')   and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:RattachPiece/p:ExerRat/@V=$exercice   ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="104" valign="top" style="width:77.95pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='01' ) and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='03'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='04')   and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:RattachPiece/p:ExerRat/@V=$exercice  -1  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
            </tr>
            <tr>
              <td width="58" valign="top"
                style="width:43.5pt;
                                                 border-top:none;padding:0cm 3.5pt 0cm 3.5pt">
                <p class="Normal">
                  <span style="font-size:10.0pt">D&#233;pense</span>
                </p>
              </td>
              <td width="66" valign="top" style="width:49.65pt;">
                <p class="Normal">
                  <span style="font-size:10.0pt">R&#233;gie</span>
                </p>
              </td>
              <td width="95" valign="top" style="width:70.9pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='05' ) and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='05')  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="104" valign="top" style="width:77.95pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <!--Nb(BordDep\
                                                             IdBord @V) avec (PiecDep\TypPce@V=01 ou 05 et PiecDep\NatPce@V=05)-->
                    <xsl:value-of
                      select="count(./p:PES_DepenseAller/p:Bordereau/p:BlocBordereau/p:IdBord/@V[( ../../../p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='01' or ../../../p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='05' ) and (../../../p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='05')  ])"
                    />
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span style="font-size:10.0pt">Ordinaire \ R&#233;gie</span>
                </p>
                <p class="Normal">
                  <span style="font-size:10.0pt">EAP \ R&#233;gie</span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='05' ) and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='05')  and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdRegie  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.75pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='05' ) and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='05')  and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdActif  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='05' ) and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='05')  and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdConv  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='05' ) and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='05')  and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdEmpruntOrdo ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="94" valign="top" style="width:70.85pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='05' ) and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='05')  and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:RattachPiece/p:NatPceOrig/@V ='03' ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="94" valign="top" style="width:70.75pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='05' ) and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='05')  and p:Piece/p:LigneDePiece/p:BlocLignePiece/p:RattachPiece/p:ExerRat/@V=$exercice  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="104" valign="top" style="width:77.95pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='05' ) and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='05')  and p:Piece/p:LigneDePiece/p:BlocLignePiece/p:RattachPiece/p:ExerRat/@V=$exercice -1 ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
            </tr>
            <tr>
              <td width="58" valign="top"
                style="width:43.5pt;
                                                 border-top:none;padding:0cm 3.5pt 0cm 3.5pt">
                <p class="Normal">
                  <span style="font-size:10.0pt">D&#233;pense</span>
                </p>
              </td>
              <td width="66" valign="top" style="width:49.65pt;">
                <p class="Normal">
                  <span style="font-size:10.0pt">March&#233;</span>
                </p>
              </td>
              <td width="95" valign="top" style="width:70.9pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='09' ) and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='12' )  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="104" valign="top" style="width:77.95pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <!--Nb(BordDep\
                                                             IdBord @V) avec (PiecDep\TypPce@V=09 et PiecDep\NatPce@V=01 ou 02 ou 12 ou
                                                             12)-->
                    <xsl:value-of
                      select="count(./p:PES_DepenseAller/p:Bordereau/p:BlocBordereau/p:IdBord/@V[( ../../../p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='09' ) and (../../../p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or ../../../p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02' or ../../../p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='12' )  ])"
                    />
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span style="font-size:10.0pt">Mandats de march&#233; de toutes natures</span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='09' ) and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='12' )   and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdRegie  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.75pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='09' ) and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='12' )   and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdActif  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='09' ) and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='12' )   and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdConv ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='09' ) and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='12' )   and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdEmpruntOrdo ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="94" valign="top" style="width:70.85pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='09' ) and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='12' )   and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:RattachPiece/p:NatPceOrig/@V ='03']">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="94" valign="top" style="width:70.75pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='09' ) and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='12' )   and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:RattachPiece/p:ExerRat/@V=$exercice  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="104" valign="top" style="width:77.95pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='09' ) and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='12' )   and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:RattachPiece/p:ExerRat/@V=$exercice -1 ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
            </tr>
            <tr>
              <td width="58" valign="top"
                style="width:43.5pt;
                                                 border-top:none;padding:0cm 3.5pt 0cm 3.5pt">
                <p class="Normal">
                  <span style="font-size:10.0pt">D&#233;pense</span>
                </p>
              </td>
              <td width="66" valign="top" style="width:49.65pt;">
                <p class="Normal">
                  <span style="font-size:10.0pt">Rattachement</span>
                </p>
              </td>
              <td width="95" valign="top" style="width:70.9pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='10' ) and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='03'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='04' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='05' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='11')  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="104" valign="top" style="width:77.95pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <!--Nb(BordDep\
                                                             IdBord @V) avec (PiecDep\TypPce@V=10 et PiecDep\NatPce@V=01 ou 02 ou 03 ou
                                                             04 ou 05 ou 11)-->
                    <xsl:value-of
                      select="count(./p:PES_DepenseAller/p:Bordereau/p:BlocBordereau/p:IdBord/@V[( ../../../p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='10' ) and (../../../p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or ../../../p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02' or ../../../p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='03'  or ../../../p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='04' or ../../../p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='05' or ../../../p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='11')  ])"
                    />
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span style="font-size:10.0pt">Mandats de rattachement de toutes natures</span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='10' ) and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='03'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='04' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='05' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='11')   and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdRegie  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.75pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='10' ) and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='03'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='04' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='05' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='11')   and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdActif ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='10' ) and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='03'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='04' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='05' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='11')   and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdConv ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='10' ) and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='03'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='04' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='05' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='11')   and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdEmpruntOrdo ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="94" valign="top" style="width:70.85pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='10' ) and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='03'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='04' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='05' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='11')   and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:RattachPiece/p:NatPceOrig/@V ='03' ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="94" valign="top" style="width:70.75pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='10' ) and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='03'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='04' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='05' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='11')   and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:RattachPiece/p:ExerRat/@V=$exercice  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="104" valign="top" style="width:77.95pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='10' ) and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='02' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='03'  or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='04' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='05' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='11')   and  p:Piece/p:LigneDePiece/p:BlocLignePiece/p:RattachPiece/p:ExerRat/@V=$exercice -1 ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
            </tr>
            <tr>
              <td width="58" valign="top"
                style="width:43.5pt;
                                                 border-top:none;padding:0cm 3.5pt 0cm 3.5pt">
                <p class="Normal">
                  <span style="font-size:10.0pt">D&#233;pense</span>
                </p>
              </td>
              <td width="66" valign="top" style="width:49.65pt;">
                <p class="Normal">
                  <span style="font-size:10.0pt">Admission en non valeur</span>
                </p>
              </td>
              <td width="95" valign="top" style="width:70.9pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='07' ) and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' )  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="104" valign="top" style="width:77.95pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <!-- Nb(BordDep\
                                                              IdBord @V) avec (PiecDep\TypPce@V=07 et PiecDep\NatPce@V=01)-->
                    <xsl:value-of
                      select="count(./p:PES_DepenseAller/p:Bordereau/p:BlocBordereau/p:IdBord/@V[( ../../../p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='07' ) and (../../../p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' )])"
                    />
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span style="font-size:10.0pt">Mandats d'admission en non valeur de toutes
                  nature</span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='07' ) and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' )   and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdRegie  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.75pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='07' ) and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' )   and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdActif  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='07' ) and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' )   and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdConv  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='07' ) and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' )   and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdEmpruntOrdo ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="94" valign="top" style="width:70.85pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='07' ) and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' )   and    p:Piece/p:LigneDePiece/p:BlocLignePiece/p:RattachPiece/p:NatPceOrig/@V ='03' ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="94" valign="top" style="width:70.75pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='07' ) and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' )   and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:RattachPiece/p:ExerRat/@V=$exercice ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="104" valign="top" style="width:77.95pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='07' ) and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' )   and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:RattachPiece/p:ExerRat/@V=$exercice -1]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
            </tr>
            <tr>
              <td width="58" valign="top"
                style="width:43.5pt;
                                                 border-top:none;padding:0cm 3.5pt 0cm 3.5pt">
                <p class="Normal">
                  <span style="font-size:10.0pt">D&#233;pense</span>
                </p>
              </td>
              <td width="66" valign="top" style="width:49.65pt;">
                <p class="Normal">
                  <span style="font-size:10.0pt">Mandat global</span>
                </p>
              </td>
              <td width="95" valign="top" style="width:70.9pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='06' ) and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='04' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='07' )  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="104" valign="top" style="width:77.95pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <!--Nb(BordDep\
                                                             IdBord @V) avec (PiecDep\TypPce@V=06 et PiecDep\NatPce@V=01 ou 04 ou 07)-->
                    <xsl:value-of
                      select="count(./p:PES_DepenseAller/p:Bordereau/p:BlocBordereau/p:IdBord/@V[( ../../../p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='06' ) and (../../../p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or ../../../p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='04' or ../../../p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='07' )  ])"
                    />
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span style="font-size:10.0pt">Mandats globaux de toutes natures</span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='06' ) and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='04' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='07' )  and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdRegie  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.75pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='06' ) and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='04' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='07' )  and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdActif  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='06' ) and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='04' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='07' )  and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdConv ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="85" valign="top" style="width:63.8pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='06' ) and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='04' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='07' )  and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:LiensIdent/p:IdEmpruntOrdo ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="94" valign="top" style="width:70.85pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='06' ) and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='04' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='07' )  and    p:Piece/p:LigneDePiece/p:BlocLignePiece/p:RattachPiece/p:NatPceOrig/@V ='03' ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="94" valign="top" style="width:70.75pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='06' ) and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='04' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='07' )  and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:RattachPiece/p:ExerRat/@V=$exercice  ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
              <td width="104" valign="top" style="width:77.95pt;">
                <p class="Normal">
                  <span class="Resultat">
                    <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau[( p:Piece/p:BlocPiece/p:InfoPce/p:TypPce/@V='06' ) and (p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='01' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='04' or p:Piece/p:BlocPiece/p:InfoPce/p:NatPce/@V='07' )  and   p:Piece/p:LigneDePiece/p:BlocLignePiece/p:RattachPiece/p:ExerRat/@V=$exercice -1 ]">
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </xsl:for-each>
                  </span>
                </p>
              </td>
            </tr>
          </tbody>
        </table>
        <p class="Normal">&#160;</p>
        <p class="Normal">&#160;</p>
        <p class="Style1">Liste des bordereaux du flux</p>
        <p class="Normal">&#160;</p>
        <div align="center">
          <table class="NormalTable" border="1" cellspacing="0" cellpadding="0" align="center"
            style="border-collapse:collapse;border:1px">
            <tr>
              <td width="102" valign="top"
                style="width:76.75pt;
                                                  background:gray;padding:0cm 3.5pt 0cm 3.5pt">
                <p class="Normal">
                  <b>
                    <span style="color:white">Poste Comptable</span>
                  </b>
                </p>
              </td>
              <td width="102" valign="top"
                style="width:76.75pt;
                                                  border-left:none;background:gray;padding:0cm 3.5pt 0cm 3.5pt">
                <p class="Normal">
                  <b>
                    <span style="color:white">Budget Collectivit&#233;</span>
                  </b>
                </p>
              </td>
              <td width="175" valign="top"
                style="width:131.05pt;
                                                  border-left:none;background:gray;padding:0cm 3.5pt 0cm 3.5pt">
                <p class="Normal">
                  <b>
                    <span style="color:white">Domaine</span>
                  </b>
                </p>
              </td>
              <td width="226" valign="top"
                style="width:169.6pt;
                                                  border-left:none;background:gray;padding:0cm 3.5pt 0cm 3.5pt">
                <p class="Normal">
                  <b>
                    <span style="color:white">N&#176; Bordereau</span>
                  </b>
                </p>
              </td>
              <td width="215" valign="top"
                style="width:76.75pt;
                                                  border-left:none;background:gray;padding:0cm 3.5pt 0cm 3.5pt">
                <p class="Normal">
                  <b>
                    <span style="color:white">Triplet</span>
                  </b>
                </p>
              </td>
              <td width="102" valign="top"
                style="width:161.1pt;
                                                  border-left:none;background:gray;padding:0cm 3.5pt 0cm 3.5pt">
                <p class="Normal">
                  <b>
                    <span style="color:white">Sous domaine</span>
                  </b>
                </p>
              </td>
            </tr>
            <xsl:for-each select="./p:PES_RecetteAller/p:Bordereau">
              <xsl:variable name="triplet">
                <xsl:value-of
                  select="concat(./p:BlocBordereau/p:TypBord/@V, '-', ./p:Piece[position()=1]/p:BlocPiece/p:TypPce/@V, '-', ./p:Piece[position()=1]/p:BlocPiece/p:NatPce/@V)"
                />
              </xsl:variable>
              <tr>
                <td width="102" valign="top"
                  style="width:76.75pt;border-top:none;padding:0cm 3.5pt 0cm 3.5pt">
                  <p class="Normal">
                    <span class="Resultat">
                      <!--PES_Aller\EnTetePES\IdPost-->
                      <!--<xsl:if test="position()=1">-->
                      <xsl:value-of select="../../p:EnTetePES/p:IdPost/@V"/>
                      <!--</xsl:if>-->
                    </span>
                  </p>
                </td>
                <td width="102" valign="top"
                  style="width:76.75pt;border-top:none;padding:0cm 3.5pt 0cm 3.5pt">
                  <!--<xsl:if test="position()=1"> -->
                  <p class="Normal">
                    <span class="Resultat">
                      <!--PES_Aller\EnTetePES\CodColl-->
                      <!--PES_Aller\EnTetePES\CodBud-->
                      <xsl:value-of select="../../p:EnTetePES/p:CodCol/@V"/>
                      <xsl:value-of select="../../p:EnTetePES/p:CodBud/@V"/>
                    </span>
                  </p>
                  <!--</xsl:if>-->
                </td>
                <td width="175" valign="top"
                  style="width:131.05pt;border-top:none;border-left:
                                                    none;border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;
                                                    padding:0cm 3.5pt 0cm 3.5pt">
                  <p class="Normal">
                    <span class="Resultat"><!--Si PES_Aller\PES_RecetteAller\Bordereau
                                                               Alors afficher &#160;Recette&#160;-->
                      <!--Si
                        PES_Aller\PES_DepenseAller\Bordereau Alors afficher &#160;Dpense&#160;-->
                      &#160;Recette&#160; </span>
                  </p>
                </td>
                <td width="226" valign="top"
                  style="width:169.6pt;border-top:none;border-left:
                                                    none;border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;
                                                    padding:0cm 3.5pt 0cm 3.5pt">
                  <p class="Normal">
                    <span class="Resultat">
                      <!--Pour
                                                               PES_Aller\PES_RecetteAller\Bordereau&#160;:
                                                               Valeur(BordRec\IdBord@V)-->
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">recette</xsl:with-param>
                      </xsl:call-template>
                    </span>
                  </p>
                </td>
                <td width="215" valign="top"
                  style="width:76.75pt;border-top:none;border-left:
                                                    none;border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;
                                                    padding:0cm 3.5pt 0cm 3.5pt">
                  <p class="Normal">
                    <span class="Resultat">
                      <!--Prendre les informations de la
                        premire pice du bordereau au format &quot;nn-nn-nn&quot; :
                        Pour
                        PES_Aller\PES_RecetteAller\Bordereau&#160;: Concatnation(BordRec\TypBord,
                        PiecRec\TypPce et PiecRec\NatPce 
                        Pour
                        PES_Aller\PES_DepenseAller\Bordereau&#160;:
                        Concatnation(BordDep\TypBord,
                        PiecDep\TypPce et PiecDep\NatPce)
                    -->
                      <xsl:value-of select="$triplet"/>
                    </span>
                  </p>
                </td>
                <td width="102" valign="top"
                  style="width:161.1pt;border-top:none;border-left:
                                                    none;border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;
                                                    padding:0cm 3.5pt 0cm 3.5pt">
                  <p class="Normal">
                    <span class="Resultat">
                      <!--Pour lalimentation de ce champ,
                                                               consulter la rgle de gestion 1.-->
                      <xsl:choose>
                        <!--xsl:when test="$triplet='01-01-01'">Ordinaire</xsl:when>
                        <xsl:when test="$triplet='01-01-02'">Ordinaire</xsl:when>
                        <xsl:when test="$triplet='02-02-06'">Correctif</xsl:when>
                        <xsl:when test="$triplet='02-02-09'">Correctif</xsl:when>
                        <xsl:when test="$triplet='02-02-10'">Correctif</xsl:when>
                        <xsl:when test="$triplet='01-05-01'">Emis Apr&#232;s Encaissement</xsl:when>
                        <xsl:when test="$triplet='01-05-02'">Emis Apr&#232;s Encaissement</xsl:when>
                        <xsl:when test="$triplet='01-05-03'">Emis Apr&#232;s Encaissement</xsl:when>
                        <xsl:when test="$triplet='01-05-04'">Emis Apr&#232;s Encaissement</xsl:when>
                        <xsl:when test="$triplet='01-01-05'">R&#233;gie</xsl:when>
                        <xsl:when test="$triplet='01-05-05'">R&#233;gie</xsl:when>
                        <xsl:when test="$triplet='01-01-03'">Inventaire/Emprunt</xsl:when>
                        <xsl:when test="$triplet='01-01-04'">Inventaire/Emprunt</xsl:when>
                        <xsl:when test="$triplet='01-11-01'">Rattachement</xsl:when>
                        <xsl:when test="$triplet='01-11-02'">Rattachement</xsl:when>
                        <xsl:when test="$triplet='01-11-04'">Rattachement</xsl:when>
                        <xsl:when test="$triplet='01-01-18'">Fin d'exercice</xsl:when>
                        <xsl:when test="$triplet='01-03-01'">Fin d'exercice</xsl:when>
                        <xsl:when test="$triplet='01-03-02'">Fin d'exercice</xsl:when>
                        <xsl:when test="$triplet='01-03-03'">Fin d'exercice</xsl:when>
                        <xsl:when test="$triplet='01-03-04'">Fin d'exercice</xsl:when>
                        <xsl:when test="$triplet='01-03-18'">Fin d'exercice</xsl:when>
                        <xsl:when test="$triplet='01-04-01'">Fin d'exercice</xsl:when>
                        <xsl:when test="$triplet='01-04-02'">Fin d'exercice</xsl:when>
                        <xsl:when test="$triplet='01-04-03'">Fin d'exercice</xsl:when>
                        <xsl:when test="$triplet='01-04-04'">Fin d'exercice</xsl:when>
                        <xsl:when test="$triplet='01-04-06'">Fin d'exercice</xsl:when>
                        <xsl:when test="$triplet='01-14-01'">Fin d'exercice</xsl:when>
                        <xsl:when test="$triplet='01-14-06'">Fin d'exercice</xsl:when>
                        <xsl:when test="$triplet='01-09-01'">Majoration</xsl:when>
                        <xsl:when test="$triplet='01-06-01'">R&#233;capitulatif</xsl:when>
                        <xsl:when test="$triplet='01-07-01'">R&#233;capitulatif</xsl:when>
                        <xsl:when test="$triplet='01-06-01'">R&#233;capitulatif</xsl:when>
                        <xsl:when test="$triplet='01-02-07'">Hors Scope</xsl:when>
                        <xsl:when test="$triplet='01-02-08'">Hors Scope</xsl:when>
                        <xsl:when test="$triplet='01-10-01'">Hors Scope</xsl:when>
                        <xsl:when test="$triplet='01-10-02'">Hors Scope</xsl:when>
                        <xsl:when test="$triplet='01-12-01'">Hors Scope</xsl:when>
                        <xsl:when test="$triplet='01-12-02'">Hors Scope</xsl:when>
                        <xsl:when test="$triplet='01-12-11'">Hors Scope</xsl:when-->
                        <xsl:when test="$sousdomaines/domaine[@code='recette']/triplet[@code=$triplet]"><xsl:value-of select="$sousdomaines/domaine[@code='recette']/triplet[@code=$triplet]/@valeur"/></xsl:when>
                        <xsl:otherwise>
                          <span style="color: red;">Incorrect</span>
                        </xsl:otherwise>
                      </xsl:choose>
                    </span>
                  </p>
                </td>
              </tr>
            </xsl:for-each>
            <xsl:for-each select="./p:PES_DepenseAller/p:Bordereau">
              <xsl:variable name="triplet">
                <xsl:value-of
                  select="concat(./p:BlocBordereau/p:TypBord/@V, '-', ./p:Piece[position()=1]/p:BlocPiece/p:InfoPce/p:TypPce/@V, '-', ./p:Piece[position()=1]/p:BlocPiece/p:InfoPce/p:NatPce/@V)"
                />
              </xsl:variable>
              <tr>
                <td width="102" valign="top"
                  style="width:76.75pt;border-top:none;padding:0cm 3.5pt 0cm 3.5pt">
                  <p class="Normal">
                    <span class="Resultat">
                      <!--PES_Aller\EnTetePES\IdPost-->
                      <!--<xsl:if test="position()=1"> -->
                      <xsl:value-of select="../../p:EnTetePES/p:IdPost/@V"/>
                      <!--</xsl:if> -->
                    </span>
                  </p>
                </td>
                <td width="102" valign="top"
                  style="width:76.75pt;border-top:none;padding:0cm 3.5pt 0cm 3.5pt">
                  <!--<xsl:if test="position()=1"> -->
                  <p class="Normal">
                    <span class="Resultat">
                      <!--PES_Aller\EnTetePES\CodColl-->
                      <!--PES_Aller\EnTetePES\CodBud-->
                      <xsl:value-of select="../../p:EnTetePES/p:CodCol/@V"/>
                      <xsl:value-of select="../../p:EnTetePES/p:CodBud/@V"/>
                    </span>
                  </p>
                  <!--</xsl:if>-->
                </td>
                <td width="175" valign="top"
                  style="width:131.05pt;border-top:none;border-left:
                                                    none;border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;
                                                    padding:0cm 3.5pt 0cm 3.5pt">
                  <p class="Normal">
                    <span class="Resultat"><!--Si PES_Aller\PES_RecetteAller\Bordereau
                                                               Alors afficher &#160;Recette&#160;-->
                      <!--Si
                        PES_Aller\PES_DepenseAller\Bordereau Alors afficher &#160;Dpense&#160;-->
                      &#160;D&#233;pense&#160; </span>
                  </p>
                </td>
                <td width="226" valign="top"
                  style="width:169.6pt;border-top:none;border-left:
                                                    none;border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;
                                                    padding:0cm 3.5pt 0cm 3.5pt">
                  <p class="Normal">
                    <span class="Resultat">
                      <!--Pour
                                                               PES_Aller\PES_DepenseAller\Bordereau&#160;:Valeur(BordDep\IdBord@V)-->
                      <xsl:call-template name="linkBordereau">
                        <xsl:with-param name="IdBord" select="./p:BlocBordereau/p:IdBord/@V"/>
                        <xsl:with-param name="pk" select="./@added:primary-key"/>
                        <xsl:with-param name="domaine">depense</xsl:with-param>
                      </xsl:call-template>
                    </span>
                  </p>
                </td>
                <td width="215" valign="top"
                  style="width:76.75pt;border-top:none;border-left:
                                                    none;border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;
                                                    padding:0cm 3.5pt 0cm 3.5pt">
                  <p class="Normal">
                    <span class="Resultat">
                      <!--
                        Prendre les informations de la
                        premire pice du bordereau au format &quot;nn-nn-nn&quot; :</span></p>
                        <p class="Normal"><span class="Resultat">Pour
                        PES_Aller\PES_RecetteAller\Bordereau&#160;: Concatnation(BordRec\TypBord,
                        PiecRec\TypPce et PiecRec\NatPce)</span></p>
                        <p class="Normal"><span class="Resultat">&#160;</span></p>
                        <p class="Normal"><span class="Resultat">Pour
                        PES_Aller\PES_DepenseAller\Bordereau&#160;:</span></p>
                        <p class="Normal"><span class="Resultat">Concatnation(BordDep\TypBord,
                        PiecDep\TypPce et PiecDep\NatPce)-->
                      <xsl:value-of select="$triplet"/>
                    </span>
                  </p>
                </td>
                <td width="102" valign="top"
                  style="width:161.1pt;border-top:none;border-left:
                                                    none;border-bottom:solid black 1.0pt;border-right:solid black 1.0pt;
                                                    padding:0cm 3.5pt 0cm 3.5pt">
                  <p class="Normal">
                    <span class="Resultat">
                      <!--Pour lalimentation de ce champ,
                                                               consulter la rgle de gestion 1.-->
                      <!--xsl:choose>
                        <xsl:when test="$triplet='01-01-01'">Ordinaire</xsl:when>
                        <xsl:when test="$triplet='01-01-02'">Ordinaire</xsl:when>
                        <xsl:when test="$triplet='02-02-06'">Correctif</xsl:when>
                        <xsl:when test="$triplet='02-02-09'">Correctif</xsl:when>
                        <xsl:when test="$triplet='02-02-10'">Correctif</xsl:when>
                        <xsl:when test="$triplet='01-05-01'">EAP</xsl:when>
                        <xsl:when test="$triplet='01-05-02'">EAP</xsl:when>
                        <xsl:when test="$triplet='01-05-03'">EAP</xsl:when>
                        <xsl:when test="$triplet='01-05-04'">EAP</xsl:when>
                        <xsl:when test="$triplet='01-01-05'">R&#233;gie</xsl:when>
                        <xsl:when test="$triplet='01-05-05'">R&#233;gie</xsl:when>
                        <xsl:when test="$triplet='01-09-01'">March&#233;</xsl:when>
                        <xsl:when test="$triplet='01-09-02'">March&#233;</xsl:when>
                        <xsl:when test="$triplet='01-09-12'">March&#233;</xsl:when>
                        <xsl:when test="$triplet='01-09-13'">March&#233;</xsl:when>
                        <xsl:when test="$triplet='01-01-03'">Inventaire/Emprunt</xsl:when>
                        <xsl:when test="$triplet='01-01-04'">Inventaire/Emprunt</xsl:when>
                        <xsl:when test="$triplet='01-10-01'">Rattachement</xsl:when>
                        <xsl:when test="$triplet='01-10-02'">Rattachement</xsl:when>
                        <xsl:when test="$triplet='01-10-04'">Rattachement</xsl:when>
                        <xsl:when test="$triplet='01-10-05'">Rattachement</xsl:when>
                        <xsl:when test="$triplet='01-10-11'">Rattachement</xsl:when>
                        <xsl:when test="$triplet='01-03-01'">Fin d'exercice</xsl:when>
                        <xsl:when test="$triplet='01-03-02'">Fin d'exercice</xsl:when>
                        <xsl:when test="$triplet='01-03-03'">Fin d'exercice</xsl:when>
                        <xsl:when test="$triplet='01-03-04'">Fin d'exercice</xsl:when>
                        <xsl:when test="$triplet='01-03-18'">Fin d'exercice</xsl:when>
                        <xsl:when test="$triplet='01-04-01'">Fin d'exercice</xsl:when>
                        <xsl:when test="$triplet='01-04-02'">Fin d'exercice</xsl:when>
                        <xsl:when test="$triplet='01-04-03'">Fin d'exercice</xsl:when>
                        <xsl:when test="$triplet='01-04-04'">Fin d'exercice</xsl:when>
                        <xsl:when test="$triplet='01-04-06'">Fin d'exercice</xsl:when>
                        <xsl:when test="$triplet='01-13-01'">Fin d'exercice</xsl:when>
                        <xsl:when test="$triplet='01-12-06'">Fin d'exercice</xsl:when>
                        <xsl:when test="$triplet='01-08-01'">Collectif</xsl:when>
                        <xsl:when test="$triplet='01-08-02'">Collectif</xsl:when>
                        <xsl:when test="$triplet='01-01-11'">Paie</xsl:when>
                        <xsl:when test="$triplet='01-08-12'">Paie</xsl:when>
                        <xsl:when test="$triplet='01-07-01'">Admission en non valeur</xsl:when>
                        <xsl:when test="$triplet='01-06-01'">Global</xsl:when>
                        <xsl:when test="$triplet='01-06-04'">Global</xsl:when>
                        <xsl:when test="$triplet='01-06-07'">Global</xsl:when>
                        <xsl:when test="$triplet='01-02-07'">Hors Scope</xsl:when>
                        <xsl:when test="$triplet='01-02-08'">Hors Scope</xsl:when>
                        <xsl:when test="$triplet='01-11-01'">Hors Scope</xsl:when>
                        <xsl:when test="$triplet='01-11-02'">Hors Scope</xsl:when>
                        <xsl:when test="$triplet='01-11-04'">Hors Scope</xsl:when>
                        <xsl:otherwise>
                          <span style="color: red;">Incorrect</span>
                        </xsl:otherwise>
                        </xsl:choose-->
                      <xsl:choose>
                        <xsl:when test="$sousdomaines/domaine[@code='depense']/triplet[@code=$triplet]"><xsl:value-of select="$sousdomaines/domaine[@code='depense']/triplet[@code=$triplet]/@valeur"/></xsl:when>
                        <xsl:otherwise>
                          <span style="color: red;">Incorrect</span>
                        </xsl:otherwise>
                      </xsl:choose>
                      
                    </span>
                  </p>
                </td>
              </tr>
            </xsl:for-each>
          </table>
        </div>
        <div style="padding-top: 3mm;">
          <xsl:if test="exists(p:PES_DepenseAller/p:Bordereau/p:Piece)">
            <h3>Mandats</h3>
            <table>
              <thead>
                <tr>
                  <td style="background:gray;padding:0cm 3.5pt 0cm 3.5pt; color: white; font-weight: bold;">Id Bord</td>
                  <td style="background:gray;padding:0cm 3.5pt 0cm 3.5pt; color:white; font-weight: bold;">Id mandat</td>
                  <td style="background:gray;padding:0cm 3.5pt 0cm 3.5pt; color: white; font-weight: bold;">Triplet</td>
                  <td style="background:gray;padding:0cm 3.5pt 0cm 3.5pt; color:white; font-weight: bold;">Objet</td>
                </tr>
              </thead>
              <tbody>
                <xsl:for-each select="p:PES_DepenseAller/p:Bordereau/p:Piece/p:BlocPiece/p:InfoPce">
                  <tr>
                    <td><xsl:value-of select="../../../p:BlocBordereau/p:IdBord/@V"/></td>
                    <td><xsl:value-of select="p:IdPce/@V"/></td>
                    <td><xsl:value-of select="../../../p:BlocBordereau/p:TypBord/@V"/>-<xsl:value-of select="p:TypPce/@V"/>-<xsl:value-of select="p:NatPce/@V"/></td>
                    <td><xsl:value-of select="p:Obj/@V"/></td>
                  </tr>
                </xsl:for-each>
              </tbody>
            </table>
          </xsl:if>
          <xsl:if test="exists(p:PES_RecetteAller/p:Bordereau/p:Piece)">
            <h3>Titres</h3>
            <table>
              <thead>
                <tr>
                  <td style="background:gray;padding:0cm 3.5pt 0cm 3.5pt; color: white; font-weight: bold;">Id Bord</td>
                  <td style="background:gray;padding:0cm 3.5pt 0cm 3.5pt; color:white; font-weight: bold;">Id titre</td>
                  <td style="background:gray;padding:0cm 3.5pt 0cm 3.5pt; color: white; font-weight: bold;">Triplet</td>
                  <td style="background:gray;padding:0cm 3.5pt 0cm 3.5pt; color:white; font-weight: bold;">Objet</td>
                </tr>
              </thead>
              <tbody>
                <xsl:for-each select="p:PES_RecetteAller/p:Bordereau/p:Piece/p:BlocPiece">
                  <tr>
                    <td><xsl:value-of select="../../p:BlocBordereau/p:IdBord/@V"/></td>
                    <td><xsl:value-of select="p:IdPce/@V"/></td>
                    <td><xsl:value-of select="../../p:BlocBordereau/p:TypBord/@V"/>-<xsl:value-of select="p:TypPce/@V"/>-<xsl:value-of select="p:NatPce/@V"/></td>
                    <td><xsl:value-of select="p:ObjPce/@V"/></td>
                  </tr>
                </xsl:for-each>
              </tbody>
            </table>
          </xsl:if>
        </div>
        <xsl:apply-templates/>
      </body>
    </html>
  </xsl:template>
  <xsl:template name="linkBordereau">
    <xsl:param name="IdBord"/>
    <xsl:param name="pk"/>
    <xsl:param name="domaine"/>
    <xsl:element name="a">
      <xsl:variable name="etat">
        <xsl:choose>
          <xsl:when test="$domaine = 'recette'">PES_RecetteAller</xsl:when>
          <xsl:when test="$domaine = 'depense'">PES_DepenseAller</xsl:when>
          <xsl:otherwise>general_view</xsl:otherwise>
        </xsl:choose>
      </xsl:variable>
      <xsl:attribute name="href">xemelios:/query?docId=PES_Aller&amp;etatId=<xsl:value-of
          select="$etat"/>&amp;path=[@added:primary-key='<xsl:value-of select="$pk"
        />']&amp;xsl:param=(elementId,Bordereau)</xsl:attribute>
      <xsl:value-of select="$IdBord"/>
    </xsl:element>
  </xsl:template>
</xsl:stylesheet>
